<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package InstaTheme
 * @subpackage InstaBeautyLite
 */
get_header(); // Get header template
$cols = apply_filters('intheme_main_cols', 'col-sm-10 col-md-10 col-lg-10');
$content_width = ( $intheme['sidebar_position'] == 'None' ) ? 'col-md-12' : $cols;
$content_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' content-left' : ' content-right';
if ( $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
$fullwidth_class = ( $intheme['sidebar_position'] == 'None' ) ? '' : 'col-sm-height col-md-height col-lg-height';
?>
	
	<div id="primary" class="<?php echo $content_width; ?> col-top <?php echo $fullwidth_class; ?> site-content equal-height<?php echo $content_class; ?>">
		<div id="post" role="main">
			<article id="post-0" class="post no-results not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php _e( 'Nothing Found', 'instatheme' ); ?></h1>
				</header>

				<div class="entry-content">
					<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'instatheme' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</article><!-- #post-0 -->
	</div><!-- post -->
	</div><!-- primary -->

<?php 
if ( $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template