<?php
/**
 * The template for displaying Archive pages.
 *
 * @package InstaTheme
 * @subpackage InstaBeautyLite
 */
get_header(); // Get header template
$cols = apply_filters('intheme_main_cols', 'col-sm-10 col-md-10 col-lg-10');
$content_width = ( $intheme['sidebar_position'] == 'None' ) ? 'col-md-12' : $cols;
$content_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' content-left' : ' content-right';
if ( $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
$fullwidth_class = ( $intheme['sidebar_position'] == 'None' ) ? '' : apply_filters('intheme_same_height', 'col-sm-height col-md-height col-lg-height');
?>
	<div id="primary" class="<?php echo $content_width; ?> col-top <?php echo $fullwidth_class; ?> site-content equal-height<?php echo $content_class; ?>">
		<div id="post" role="main">
			<?php if ( have_posts() ) : ?>
			<header class="page-header" style="margin-bottom:0">
				<h1 class="archive-title"><small><?php
					if ( is_day() ) :
						printf( __( 'Daily Archives: %s', 'instatheme' ), '<span style="font-weight:normal;">' . get_the_date() . '</span>' );
					elseif ( is_month() ) :
						printf( __( 'Monthly Archives: %s', 'instatheme' ), '<span style="font-weight:normal;">' . get_the_date( _x( 'F Y', 'monthly archives date format', 'instatheme' ) ) . '</span>' );
					elseif ( is_year() ) :
						printf( __( 'Yearly Archives: %s', 'instatheme' ), '<span style="font-weight:normal;">' . get_the_date( _x( 'Y', 'yearly archives date format', 'instatheme' ) ) . '</span>' );
					elseif ( is_category() ) :
						single_cat_title();
					else :
						_e( 'Archives', 'instatheme' );
					endif;
				?></small></h1>
			</header>
			<?php
					while ( have_posts() ) : the_post();
						get_template_part( 'content', get_post_format() );
					endwhile;
					intheme_numeric_posts_nav();
				else :
			?>
				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'instatheme' ); ?></h1>
					</header>
	
					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'instatheme' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->
			<?php endif; // end have_posts() check ?>
	</div><!-- post -->
	</div><!-- primary -->

<?php 
if ( $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template