<?php
/**
 * The template for displaying Author Archive pages.
 *
 * @package InstaTheme
 * @subpackage InstaBeautyLite
 */
get_header(); // Get header template
$content_width = ( $intheme['sidebar_position'] == 'None' ) ? 'insta-col-12' : 'insta-col-9';
if ( $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
?>
	
	<div id="primary" class="<?php echo $content_width; ?> site-content equal-height">
		<div id="post" role="main">
			<?php if ( have_posts() ) : ?>
				
			<?php
				/* Queue the first post, that way we know
				 * what author we're dealing with (if that is the case).
				 *
				 * We reset this later so we can run the loop
				 * properly with a call to rewind_posts().
				 */
				the_post();
			?>
			<header class="page-header" style="margin-bottom:0">
				<h1 class="page-title"><?php printf( __( 'Author Archives: %s', 'instatheme' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h1>
			</header>
			<?php
					rewind_posts();
					
					// If a user has filled out their description, show a bio on their entries.
					if ( get_the_author_meta( 'description' ) ) : ?>
					<div class="row-fluid">
						<div class="span12 author-info alert alert-gray" style="margin-top:20px; margin-top:1.25rem">
							<div class="span1 author-avatar">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentytwelve_author_bio_avatar_size', 60 ) ); ?>
							</div><!-- .author-avatar -->
							<div class="span11 author-description" style="margin-bottom:24px; margin-bottom:1.5rem">
								<h2><?php printf( __( 'About %s', 'instatheme' ), get_the_author() ); ?></h2>
								<p><?php the_author_meta( 'description' ); ?></p>
							</div><!-- .author-description	-->
						</div><!-- .author-info -->
					</div>
					<?php endif;
			
					while ( have_posts() ) : the_post();
						get_template_part( 'content', get_post_format() );
					endwhile;
					intheme_numeric_posts_nav();
				else :
			?>
				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'instatheme' ); ?></h1>
					</header>
	
					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'instatheme' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->
			<?php endif; // end have_posts() check ?>
	</div><!-- post -->
	</div><!-- primary -->

<?php 
if ( $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template