<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package InstaTheme
 * 
 */
 
global $intheme, $post;
$post_class = ( !is_single() ) ? 'ibt-posts-loop' : '';
$post_id = get_the_ID();
$metaibt_fullwidth = get_post_meta($post->ID, 'metaibt_fullwidth', true);
$meta = get_post_meta($post_id, 'insta_editor', true);
$nosidebar = ( ($intheme['template'] == 'instaglow' || $intheme['template'] == 'instabeauty' ) && ($metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None') ) ? true : false;
$width_class = ( $nosidebar ) ? ' style="width:960px; margin-left: auto; margin-right:auto"' : '';
$entry_height = ( !empty($meta['height']) && !empty($meta['editor']) && $meta['editor'] == 'flex' ) ? ' style="height:' . $meta['height'] . 'px;"' : '';
$title_style = '';
if ( isset($meta['hide_title']) && $meta['hide_title'] == 'yes' ) $title_style = ' style="display:none"';
?>
	
	<article id="post-<?php the_ID(); ?>" <?php post_class($post_class); ?><?php echo $width_class; ?>>
		<header class="entry-header">
			<?php if ( is_single() ) : ?>
			<h1 class="entry-title"<?php echo $title_style; ?>><?php the_title(); ?></h1>
			<p>
				<span class="postedin"><i class="fa fa-folder-open"></i> Categories: <span><?php the_category(', '); ?></span></span> |
				<span class="posted"><i class="fa fa-time"></i> Posted on <span class="mytooltip dotted" title="<?php the_time('l, M j, Y'); ?> at <?php the_time('h:i A'); ?>"><?php the_time('M j, Y'); ?></span></span>
			</p>
			<?php else : ?>
			<h2 class="entry-title">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'instatheme' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h2>
			<?php endif; // is_single() ?>
		</header><!-- .entry-header -->

		<?php if ( !is_single() ) : ?>
		<div class="entry-content">
			<?php if ( has_post_thumbnail()) : ?>
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" ><?php the_post_thumbnail(array(100, 100)); ?></a>
			<?php endif; ?>
			<p><?php echo substr(get_the_excerpt(), 0, 310); ?></p>
			
			<p><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="btn btn-default">Read More &raquo;</a></p>
		</div>
		
		<?php else : ?>
		<div class="entry-content"<?php echo $entry_height; ?>>
			<?php //the_post_thumbnail(array(200, 200)); ?>
			<?php the_content(); ?>
			<?php wp_link_pages( array('before' => '<div class="pagination-group"><span style="font-size:0.8em; font-weight:normal;">PAGES</span>: ', 'after' => '</div>&link_before=<span class="btn btn-small">', 'link_after' => '</span>') ); ?>
		</div>
		<?php endif; ?>

		<footer class="entry-meta">
			<?php if ( !is_single() ) : ?>
				<span class="postedin"><i class="fa fa-folder-open"></i> Categories: <span><?php the_category(', '); ?></span></span> |
				<span class="posted"><i class="fa fa-time"></i> Posted on <span class="mytooltip dotted" title="<?php the_time('l, M j, Y'); ?> at <?php the_time('h:i A'); ?>"><?php the_time('M j, Y'); ?></span></span>
			<?php endif; ?>
			<?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
				<div class="alert greybox author-info row-fluid">
					<div class="span1 author-avatar">
						<?php echo get_avatar( get_the_author_meta( 'user_email' ), 68 ); ?>
					</div><!-- .author-avatar -->
					<div class="span11 author-description">
						<h2><?php printf( __( 'About %s', 'instatheme' ), get_the_author() ); ?></h2>
						<p><?php the_author_meta( 'description' ); ?></p>
						<div class="author-link">
							<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
								<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'instatheme' ), get_the_author() ); ?>
							</a>
						</div><!-- .author-link	-->
					</div><!-- .author-description -->
				</div><!-- .author-info -->
			<?php endif; ?>
		</footer><!-- .entry-meta -->
		<?php if ( !is_single() ) : ?>
		<div class="ibt-dark-line"></div>
		<div class="ibt-lite-line"></div>
		<?php endif; ?>
	</article><!-- #post -->
