<?php 
/**
 * The Header for InstaTheme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package InstaTheme
 *
 */

global $intheme, $post;

$container_type = apply_filters('intheme_container_type', 'container-fluid');
$row_type = apply_filters('intheme_row_type', 'row-fluid');
$container_height = apply_filters('intheme_container_height', 'container-md-height');
$row_height = apply_filters('intheme_row_height', 'row-md-height');
$metaibt_fullwidth = get_post_meta($post->ID, 'metaibt_fullwidth', true);
$nosidebar = ( ($intheme['template'] == 'instaglow' || $intheme['template'] == 'instabeauty' ) && ($metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None') ) ? true : false;
$main_class = ( $metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None' ) ? 'main-fullwidth ' : '';
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php 
wp_head();
if ( !empty($intheme['favicon']) )
	echo "<link rel='shortcut icon' href='" . intheme_sanitize($intheme['favicon']) . "' />";
?>
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
<![endif]-->
</head>

<?php
$bc = get_body_class();
$body_class = ( is_array($bc) && !empty($bc) ) ? 'class="' . join( ' ', $bc ) . '"' : '';
?>
<body <?php echo $body_class; ?>>
<?php do_action('intheme_editor_top'); ?>
<?php do_action('intheme_before_container'); ?>
<div id="wrap">
	<!-- Header Start -->
	<?php do_action('intheme_before_header'); ?>
	<?php do_action('intheme_header'); ?>
	<?php do_action('intheme_after_header'); ?>
	<!-- Header End -->
	
	<?php do_action('intheme_before_content'); ?>
	<div id="main" class="<?php echo $main_class; ?><?php echo $container_type; ?> <?php echo $container_height; ?>">
		<div id="inside-wrapper" class="<?php echo $main_class; ?><?php echo $row_type; ?> <?php echo $row_height; ?>">
 