<?php
/**
 * The main template file.
 *
 * @package InstaTheme
 *
 */
get_header(); // Get header template
$cols = apply_filters('intheme_main_cols', 'col-sm-10 col-md-10 col-lg-10');
$content_width = ( $intheme['sidebar_position'] == 'None' ) ? 'col-md-12' : $cols;
$content_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' content-left' : ' content-right';
if ( $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
$fullwidth_class = ( $intheme['sidebar_position'] == 'None' ) ? '' : 'col-sm-height col-md-height col-lg-height';
?>
	<div id="primary" class="<?php echo $content_width; ?> col-top <?php echo $fullwidth_class; ?> site-content equal-height<?php echo $content_class; ?>">
		<div id="post" role="main">
			<?php 
				if ( have_posts() ) : /* Start the Loop */
					intheme_member_welcome();
					while ( have_posts() ) : the_post();
						get_template_part('content', get_post_format());
					endwhile;
					intheme_numeric_posts_nav();
				else :
			?>
					<article id="post-0" class="post no-results not-found">
	
				<?php 
					if ( current_user_can( 'edit_posts' ) ) :
						// Show a different message to a logged-in user who can add posts.
				?>
						<header class="entry-header">
							<h1 class="entry-title"><?php _e( 'No posts to display', 'instatheme' ); ?></h1>
						</header>
	
						<div class="entry-content">
							<p><?php printf( __('Ready to publish your first post? <a href="%s">Get started here</a>.', 'instatheme'), admin_url( 'post-new.php' ) ); ?></p>
						</div><!-- .entry-content -->
	
				<?php else : // Show the default message to everyone else. ?>
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'instatheme' ); ?></h1>
					</header>
	
					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'instatheme' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				<?php endif; // end current_user_can() check ?>
				</article><!-- #post-0 -->
			<?php endif; // end have_posts() check ?>
		</div><!-- post -->
	</div><!-- primary -->

<?php 
if ( $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template