<?php
add_action('init', 'of_options');
if ( !function_exists('of_options') ) :
	function of_options() {
		// Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ( $of_categories_obj as $of_cat ) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		// Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ( $of_pages_obj as $of_page ) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		// Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		// Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array ( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		// Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) {
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
		            if(stristr($alt_stylesheet_file, ".css") !== false) {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}

		// Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		
		$saved_opts = of_get_options();
		
		$url =  INTHEME_URL . '/lib/admin/assets/images/';
		
		$templates = array(
			'instabeauty' 	=> "InstaBeauty",
			'instabright' 	=> "InstaBright",
			'instaspark' 	=> "InstaSpark",
			'instaglow' 	=> "InstaGlow"
		);
			$templates['instalight'] = "InstaLight";
			$templates['instabrilliant'] = "InstaBrilliant";
			$templates['instacool'] = "InstaCool";
			$templates['instashine'] = "InstaShine";
			$templates['instastar'] = "InstaStar";
		
		$theme_colors = array(
			'#95b400' 	=> $url . 'theme_color_95b400.png',
			'#4e004e' 	=> $url . 'theme_color_4e004e.png',
			'#0083cc' 	=> $url . 'theme_color_0083cc.png',
			'#0047cc' 	=> $url . 'theme_color_0047cc.png',
			'#349bb9' 	=> $url . 'theme_color_349bb9.png',
			'#660000' 	=> $url . 'theme_color_660000.png',
			'#b44400' 	=> $url . 'theme_color_b44400.png',
			'#e43232' 	=> $url . 'theme_color_e43232.png',
			'#246086' 	=> $url . 'theme_color_246086.png',
			'#54632d' 	=> $url . 'theme_color_54632d.png',
			'#823333' 	=> $url . 'theme_color_823333.png',
			'#17394f' 	=> $url . 'theme_color_17394f.png',
			'#ff9600' 	=> $url . 'theme_color_ff9600.png',
			'#ae2720' 	=> $url . 'theme_color_ae2720.png'
		);

								
		$custom_theme_colors = true;
		
		$current_template = ( !empty($saved_opts['template']) ) ? $saved_opts['template'] : 'instabeauty';
		if ( file_exists(INTHEME_TMPL . $current_template . '/custom.options.php') )
			require_once(INTHEME_TMPL . $current_template . '/custom.options.php');
		
		
		
		
		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		// More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


		/*-----------------------------------------------------------------------------------*/
		/* The Options Array */
		/*-----------------------------------------------------------------------------------*/

		$rss2_url = get_bloginfo('rss2_url');

		// Set the Options Array
		global $of_options;
		$of_options = array();

		// General Settings
		$of_options[] = array( "name" => "General Settings", "type" => "heading");
		
		if ( intheme_operation() ) :
			
		$of_options[] = array( "name" => "Logo",
							"id" => "logo",
							"desc" => "Upload a logo for your site, or specify the image address, e.g. (http://www.yoursite.com/yourimage.png). InstaTheme will automatically resize the image to fit the header, so the logo image can be in any size.",
							"std" => "",
							"type" => "media");
				
		$of_options[] = array( "name" => "Favicon",
							"id" => "favicon",
							"desc" => "Upload a 16px x 16px .ico/.png/.gif image that will represent your website's favicon, or specify the image address, e.g. (http://www.yoursite.com/yourimage.png)",
							"std" => "",
							"type" => "media" );
											
		$of_options[] = array( "name" => "Sidebar Position",
							"id" => "sidebar_position",
							"desc" => "Choose your preferred Sidebar Position.",
							"std" => "Left",
							"type" => "select",
							"options" => array ("Right", "Left", "None") );
								
		$of_options[] = array( "name" => "Custom Head",
							"id" => "custom_head",
							"desc" => "Enter any code to your head tag (will be between <head> and </head>). Usually it contains your Google verification code, etc.",
							"std" => "",
							"type" => "textarea");
		
		$of_options[] = array( "name" => "Tracking Code",
							"id" => "tracking_code",
							"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
							"std" => "",
							"type" => "textarea");        
		
		$of_options[] = array( "name" => "Copyright Text or Footer Text",
		                    "id" => "copyright_text",
		                    "desc" => "Enter your Footer Text or Copyright Text here.",
		                    "std" => "Copyright &copy; " . $_SERVER['HTTP_HOST'],
		                    "type" => "textarea");

		$of_options[] = array( "name" =>  "Default Editor Mode",
							"id" => "editor",
							"desc" => "InstaTheme offer two different type visual editor modes (&quot;Flex&quot; and &quot;Snap&quot;) for editing the posts/pages. You can set the default visual editor mode that you like. For example, if you choose the \"Snap\" mode, then InstaTheme will load the Snap editor first when you create a new post/page.",
							"std" => "flex",
							"type" => "select",
							"options" => array(
								'flex' 	=> 'Flex Editor',
								'snap' 	=> 'Snap Editor',
								));
								
		// Styling Options
		$of_options[] = array( "name" => "Styling and Layout",
							"type" => "heading");
						
		/*	
		$of_options[] = array( "name" =>  "Theme Design",
							"id" => "template",
							"desc" => "Choose your preferred theme design.",
							"std" => "instabeauty",
							"type" => "images",
							"options" => array(
								'instabeauty' 	=> $url . 'ui-bg_flat_0_aaaaaa_40x100.png',
								'instabright' 	=> $url . 'theme_color_4e004e.png',
								'instaspark' 	=> $url . 'theme_color_0083cc.png',
								'instaglow' 	=> $url . 'theme_color_0047cc.png',
								));
		*/
		$of_options[] = array( "name" => "Theme Design",
							"id" => "template",
							"desc" => "Choose your preferred theme design.<br /><a class='int-inline' href='#inline_themes'><strong>Click Here To Unlock More Theme Designs</strong></a>",
							"std" => "instabeauty",
							"type" => "select",
							"options" => $templates );
								
		$of_options[] = array( "name" =>  "Theme Color",
							"id" => "theme_color_pre",
							"desc" => "Choose your preferred theme color.",
							"std" => "#95b400",
							"type" => "images",
							"options" => $theme_colors,
						);
						
		if ( $custom_theme_colors ) {
		$of_options[] = array( "name" =>  "",
							"id" => "theme_color",
							"desc" => "If you don't want to use pre-made color above, you can also choose your own preferred color. Please don't use light colors, since the text is white.",
							"std" => "",
							"type" => "color");
		}
		
		$of_options[] = array( "name" => "Customize Background",
							"id" => "custom_body",
							"desc" => "Enable this option to customize the theme's body background. <strong>Important:</strong> This setting can only be used in some templates only. Templates with a full width content area (e.g. InstaBeauty, InstaGlow, etc) will ignore this setting.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch"); 
							
		$of_options[] = array( "name" => "Background Color",
							"id" => "body_bgcolor",
							"desc" => "Choose your preferred color for the main background.",
							"std" => "#FFFFFF",
							"fold" => "custom_body",
							"type" => "color");
							
		$of_options[] = array( "name" => "Background Image",
							"id" => "body_image",
							"desc" => "Upload an image for the site main background, or specify the image address, e.g. (http://www.yoursite.com/background.png).",
							"std" => "",
							"fold" => "custom_body",
							"type" => "media");
		
		$of_options[] = array(
						"name" 		=> "Background Image Position",
						"desc" 		=> "Select the start position of the background image.",
						"id" 		=> "body_image_pos",
						"std" 		=> "left top",
						"type" 		=> "select",
						"fold" 		=> "custom_body",
						"options" 	=> array(
							'left top' => 'Left Top',
							'left center' => 'Left Center',
							'left bottom' => 'Left Bottom',
							'right top' => 'Right Top',
							'right center' => 'Right Center',
							'right bottom' => 'Right Bottom',
							'center top' => 'Center Top',
							'center center' => 'Center Center',
							'center bottom' => 'Center Bottom',
						)
				);
				
		$of_options[] = array(
						"name" 		=> "Background Image Repeat",
						"desc" 		=> "Choose whether you want to repeat the background image or not.",
						"id" 		=> "body_image_rep",
						"std" 		=> "no-repeat",
						"type" 		=> "select",
						"fold" 		=> "custom_body",
						"options" 	=> array(
							'no-repeat' => 'No Repeat',
							'repeat-x' => 'Repeat Horizontally',
							'repeat-y' => 'Repeat Vertically',
							'repeat' => 'Repeat Horizontally & Vertically'
						)
				);
				
		$of_options[] = array(
						"name" 		=> "Background Image Attachment",
						"desc" 		=> "Choose whether the background image position will follow upon scrolling or stay at the position.",
						"id" 		=> "body_image_att",
						"std" 		=> "scroll",
						"type" 		=> "select",
						"fold" 		=> "custom_body",
						"options" 	=> array(
							'scroll' => 'Scroll',
							'fixed' => 'Fixed'
						)
				);
				
		$of_options[] = array( 	"name" 		=> "Site Header's Height",
						"desc" 		=> "Enable this option if you need to adjust the site header's height.",
						"id" 		=> "enable_header_height",
						"folds"		=> 1,
						"std" 		=> 0,
						"type" 		=> "switch"
				);   
				
		$of_options[] = array( 
						"name" 		=> "",
						"desc" 		=> "Drag the slider to adjust the height of the header.",
						"id" 		=> "header_height",
						"std" 		=> "50",
						"min" 		=> "40",
						"step"		=> "1",
						"max" 		=> "150",
						"type" 		=> "sliderui",
						"fold"		=> "enable_header_height"
				);
				
		$of_options[] = array( "name" => "Customize Header",
							"id" => "custom_header",
							"desc" => "Enable this option to customize the theme's header.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch"); 
							
		$of_options[] = array( "name" => "Header Background Color",
							"id" => "header_bgcolor",
							"desc" => "Choose your preferred color for Header Background.",
							"std" => "#FFFFFF",
							"fold" => "custom_header",
							"type" => "color");
							
		$of_options[] = array( "name" => "Header Font Color",
							"id" => "header_fontcolor",
							"desc" => "Choose your preferred color for Header Font.",
							"std" => "#555555",
							"fold" => "custom_header",
							"type" => "color");
							
		$of_options[] = array( "name" => "Header Background Image",
							"id" => "header_image",
							"desc" => "Upload an image for your site header, or specify the image address, e.g. (http://www.yoursite.com/yourimage.png). The image will be repeated to fill all space on the header. Recommended width is between 960px - 1200px and the recommended height is between 50px - 150px.",
							"std" => "",
							"fold" => "custom_header",
							"type" => "media");
		
		$of_options[] = array(
						"name" 		=> "Header Background Image Position",
						"desc" 		=> "Select the start position of your header background image.",
						"id" 		=> "header_image_pos",
						"std" 		=> "left top",
						"type" 		=> "select",
						"fold" 		=> "custom_header",
						"options" 	=> array(
							'left top' => 'Left Top',
							'left center' => 'Left Center',
							'left bottom' => 'Left Bottom',
							'right top' => 'Right Top',
							'right center' => 'Right Center',
							'right bottom' => 'Right Bottom',
							'center top' => 'Center Top',
							'center center' => 'Center Center',
							'center bottom' => 'Center Bottom',
						)
				);
				
		$of_options[] = array(
						"name" 		=> "Header Background Image Repeat",
						"desc" 		=> "Choose whether you want to repeat the header background image or not.",
						"id" 		=> "header_image_rep",
						"std" 		=> "no-repeat",
						"type" 		=> "select",
						"fold" 		=> "custom_header",
						"options" 	=> array(
							'no-repeat' => 'No Repeat',
							'repeat-x' => 'Repeat Horizontally',
							'repeat-y' => 'Repeat Vertically',
							'repeat' => 'Repeat Horizontally & Vertically'
						)
				);
				
		$of_options[] = array( "name" => "Customize Footer",
							"id" => "custom_footer",
							"desc" => "Enable this option to customize the theme's footer.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch"); 
							
		$of_options[] = array( "name" => "Footer Background Color",
							"id" => "footer_bgcolor",
							"desc" => "Choose your preferred color for Footer Background.",
							"std" => "#EEEEEE",
							"fold" => "custom_footer",
							"type" => "color");
							
		$of_options[] = array( "name" => "Footer Font Color",
							"id" => "footer_fontcolor",
							"desc" => "Choose your preferred color for Footer Font.",
							"std" => "#555555",
							"fold" => "custom_footer",
							"type" => "color");
							
		$of_options[] = array( "name" => "Customize Content Background",
							"id" => "custom_content",
							"desc" => "Enable this option to customize the main content background color.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch"); 
							
		$of_options[] = array( "name" =>  "Content Background Color",
							"id" => "content_bgcolor_pre",
							"desc" => "Choose your preferred color for Content Background.",
							"std" => "#f5f5f5",
							"fold" => "custom_content",
							"type" => "images",
							"options" => array(
								'#f5f5f5' 	=> $url . 'content_bgcolor_eeeeee.png',
								'#ffe1e1' 	=> $url . 'content_bgcolor_ffe1e1.png',
								'#daffff' 	=> $url . 'content_bgcolor_daffff.png',
								'#faffe2' 	=> $url . 'content_bgcolor_faffe2.png',
								'#f8e1ff' 	=> $url . 'content_bgcolor_f8e1ff.png',
								'#e1e5ff' 	=> $url . 'content_bgcolor_e1e5ff.png',
								'#e7ffe1' 	=> $url . 'content_bgcolor_e7ffe1.png'
								));
								
		$of_options[] = array( "name" =>  "",
							"id" => "content_bgcolor",
							"desc" => "If you don't want to use pre-made color above, you can also choose your own preferred color for Content Background. Please don't use dark colors, since the text is black.",
							"std" => "",
							"fold" => "custom_content",
							"type" => "color");
		
		$of_options[] = array( "name" => "Customize Sidebar Background",
							"id" => "custom_sidebar",
							"desc" => "Enable this option to customize the sidebar background color.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch"); 
							
		$of_options[] = array( "name" => "Sidebar Background Color",
							"id" => "sidebar_bgcolor",
							"desc" => "Choose your preferred color for Sidebar Background.",
							"std" => "#dddddd",
							"fold" => "custom_sidebar",
							"type" => "color");
							
		$of_options[] = array( "name" => "Customize Link Color",
							"id" => "custom_link",
							"desc" => "Enable this option to customize the text link color.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch");
							
		$of_options[] = array( "name" =>  "Text Link Color Setting",
							"id" => "textlink_color",
							"desc" => "Please specify Text Link Color, default color is #0088cc.",
							"std" => "#0088cc",
							"fold" => "custom_link",
							"type" => "color");
							
		$of_options[] = array( "name" =>  "",
							"id" => "textlink_colorhover",
							"desc" => "Please specify Text Link Color on mouse hover, default color is #005580.",
							"std" => "#005580",
							"fold" => "custom_link",
							"type" => "color");
							
		$of_options[] = array( "name" => "Custom CSS",
							"id" => "custom_css",
							"desc" => "Enter the custom CSS here. Enter CSS code only, and please DO NOT enter the style tag<br /> &lt;style type=\"text/css\"&gt; ... &lt;/style&gt;",
							"std" => "",
							"type" => "textarea");
				
		
		// Advanced Settings
		$of_options[] = array( "name" => "Advanced Settings",
							"type" => "heading");
		          
		$of_options[] = array( "name" => "InstaAttention Bar",
							"id" => "show_stripebar",
							"desc" => "Switch to ON to display InstaAttention. InstaAttention is a simple and unobtrusive Attention Bar that sits across the top of your site. It allows you to grab your members's attention and direct them to a call to action.",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch");    
							
		$of_options[] = array( "name" => "InstaAttention Settings",
							"id" => "stripebar_message",
							"desc" => "Enter the InstaAttention Message here.",
							"std" => "Your stripe bar message here.",
		          			"fold" => "show_stripebar", /* the checkbox hook */
							"type" => "text"
						);
							
		$of_options[] = array( "name" => "",
						"id" => "stripebar_url",
						"desc" => "Enter the Destination URL.",
						"std" => "",
	          			"fold" => "show_stripebar", /* the checkbox hook */
						"type" => "text");
		$of_options[] = array( "name" => "",
						"id" => "stripebar_anchortext",
						"desc" => "Enter the Anchor Text for the URL.",
						"std" => "",
	          			"fold" => "show_stripebar", /* the checkbox hook */
						"type" => "text");
		$of_options[] = array( "name" => "",
						"id" => "stripebar_newwindow",
						"desc" => "Please switch to ON to open the link on a <strong>new window</strong>, switch to OFF to open the link on current window.",
						"std" => 1,
	          			"fold" => "show_stripebar",
						"type" => "switch");
						
		$of_options[] = array( "name" => "",
							"id" => "stripebar_placement",
							"desc" => "Choose where do you want to display the InstaAttention Bar.",
							"std" => "all",
							"type" => "select",
							"fold" => "show_stripebar",
							"options" => array(
								'all'  => 'Home/Front Page, Posts & Pages',
								'home' => 'Home/Front Page Only',
								'postpage' => 'Posts & Pages Only',
								'post' => 'Posts Only',
								'page' => 'Pages Only'
							) );
							
		$of_options[] = array( "name" => "",
							"id" => "stripebar_display",
							"desc" => "Choose when do you want to display the InstaAttention Bar.",
							"std" => "session",
							"type" => "select",
							"fold" => "show_stripebar",
							"options" => array(
								'once'  => 'Only once (first visit only)',
								'session' => 'Once per browser session',
								'day' => 'Once per 24 hours',
								'forever' => 'Forever'
							) );
							
		$of_options[] = array( "name" =>  "",
							"id" => "stripebar_color",
							"desc" => "You can customize the InstaAttention text color, default text color is #c09853.",
							"std" => "#c09853",
							"fold" => "show_stripebar", /* the checkbox hook */
							"type" => "color");
											
		$of_options[] = array( "name" =>  "",
							"id" => "stripebar_background",
							"desc" => "You can customize the InstaAttention background color, default background color is #fcf8e3.",
							"std" => "#fcf8e3",
							"fold" => "show_stripebar", /* the checkbox hook */
							"type" => "color");
							
		$of_options[] = array( "name" =>  "",
							"id" => "stripebar_border",
							"desc" => "You can customize the InstaAttention border color, default border color is #c09853.",
							"std" => "#c09853",
							"fold" => "show_stripebar", /* the checkbox hook */
							"type" => "color");
							
		$of_options[] = array( "name" => "Social Media Profiles",
							"id" => "rss_url",
							"desc" => "Enter your <strong>RSS Feed URL</strong>",
							"std" => $rss2_url,
							"type" => "text");    
		$of_options[] = array( "name" => "",
							"id" => "facebook_url",
							"desc" => "Enter your <strong>Facebook URL</strong>",
							"std" => "",
							"type" => "text");    
		$of_options[] = array( "name" => "",
							"id" => "twitter_username",
							"desc" => "Enter your <strong>Twitter Username</strong>",
							"std" => "",
							"type" => "text");
		$of_options[] = array( "name" => "",
							"id" => "linkedin_url",
							"desc" => "Enter your <strong>Linkedin URL</strong>",
							"std" => "",
							"type" => "text");
		$of_options[] = array( "name" => "",
							"id" => "pinterest_url",
							"desc" => "Enter your <strong>Pinterest URL</strong>",
							"std" => "",
							"type" => "text");
		$of_options[] = array( "name" => "",
							"id" => "youtube_url",
							"desc" => "Enter your <strong>Youtube URL</strong>",
							"std" => "",
							"type" => "text");
		$of_options[] = array( "name" => "",
							"id" => "googleplus_url",
							"desc" => "Enter your <strong>Google URL</strong>",
							"std" => "",
							"type" => "text");
		$of_options[] = array( "name" => "Facebook App ID",
							"id" => "fb_appid",
							"desc" => "If you want to add Facebook comments feature into your member pages, please enter your <a href='https://developers.facebook.com/apps' target='_blank'>Facebook Application ID</a> here. If you don't have one, you can <a href='https://developers.facebook.com/apps' target='_blank'>create it here</a>.",
							"std" => "",
							"type" => "text");    
		// Member Settings
		$of_options[] = array( "name" => "Member Settings",
						"type" => "heading");
	
		$of_options[] = array( "name" => "Enable InstaMember Integration",
							"id" => "instamember_integration",
							"desc" => "Turn ON this option to enable integration with InstaMember Wordpress membership plugin. <strong>Note:</strong> Simply turn off this option if you are using another membership plugin such as 'WishList', 'S2Member', etc.",
							"std" => 0,
							"type" => "switch");
		
		$of_options[] = array( "name" => "Show InstaWelcome",
							"id" => "show_welcome",
							"desc" => "Check this box to display Welcome Paragraph (InstaWelcome).",
							"std" => 0,
		          			"folds" => 1,
							"type" => "switch");  
		$of_options[] = array( "name" => "",
						"id" => "welcometitle",
						"desc" => "Enter the <strong>Welcome Title</strong> here.",
						"std" => "",
	          			"fold" => "show_welcome", /* the checkbox hook */
						"type" => "text");
		$of_options[] = array( "name" => "",
						"id" => "welcomeparagraph",
						"desc" => "Enter the <strong>Welcome Text</strong> here. You can also add HTML codes and Shortcodes here.",
						"std" => "",
	          			"fold" => "show_welcome", /* the checkbox hook */
						"type" => "textarea");
		$of_options[] = array( "name" => "",
						"id" => "welcomecentered",
						"desc" => "Centered or not? Select ON to make the welcome Paragraph centered.",
						"std" => "",
	          			"fold" => "show_welcome", /* the checkbox hook */
						"type" => "switch");
						
		$of_options[] = array( "name" => "",
							"id" => "welcomedisplay",
							"desc" => "Choose when do you want to display the InstaWelcome Box.",
							"std" => "once",
							"type" => "select",
							"fold" => "show_welcome", /* the checkbox hook */
							"options" => array(
								'once'  => 'Only once (first visit only)',
								'session' => 'Once per browser session',
								'day' => 'Once per 24 hours',
								'forever' => 'Forever'
							) );
							
		$of_options[] = array( "name" =>  "",
							"id" => "welcomecolor",
							"desc" => "You can customize the InstaWelcome text color, default text color is #3a87ad.",
							"std" => "#3a87ad",
							"fold" => "show_welcome", /* the checkbox hook */
							"type" => "color");
											
		$of_options[] = array( "name" =>  "",
							"id" => "welcomebackground",
							"desc" => "You can customize the InstaWelcome Box background color, default background color is #d9edf7.",
							"std" => "#d9edf7",
							"fold" => "show_welcome", /* the checkbox hook */
							"type" => "color");
							
		$of_options[] = array( "name" =>  "",
							"id" => "welcomeborder",
							"desc" => "You can customize the InstaWelcome Box border color, default border color is #3a87ad.",
							"std" => "#3a87ad",
							"fold" => "show_welcome", /* the checkbox hook */
							"type" => "color");
							
		$of_options[] = array( "name" => "",
						"id" => "welcomeclose",
						"desc" => "Enable this option to let members to be able to close the InstaWelcome box.",
						"std" => "1",
	          			"fold" => "show_welcome", /* the checkbox hook */
						"type" => "switch");
	
		// Backup Options
		$of_options[] = array( "name" => "Backup Options",
							"type" => "heading");
							
		$of_options[] = array( "name" => "Backup and Restore Options",
		                    "id" => "of_backup",
							"desc" => 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
		                    "std" => "",
		                    "type" => "backup"
				);
							
		$of_options[] = array( "name" => "Transfer Theme Options Data",
		                    "id" => "of_transfer",
							"desc" => 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
		                    "std" => "",
		                    "type" => "transfer"
				);
		else :
			$of_options[] = array( "name" => "License Key",
							"id" => "license_key",
							"desc" => "Please enter your InstaTheme license key to enable all InstaTheme features.",
							"std" => "",
							"type" => "text");
		endif;
	} //End function: of_options()
endif; //End check if function exists: of_options()
?>
