<?php
add_action('admin_enqueue_scripts', 'intheme_admin_navicon_enqueue');
function intheme_admin_navicon_enqueue( $hook ) {
	if( 'nav-menus.php' != $hook )
        return;
	
	wp_enqueue_style('intheme-custom-navicon', INTHEME_CSS . 'custom-navicon.css');
	wp_enqueue_script('intheme-custom-navicon', INTHEME_JS . 'custom-navicon.js', array('jquery','media-upload','thickbox')); 
	add_thickbox();
}

add_action('edit_form_after_title', 'intheme_add_media', 100);
function intheme_add_media( $post ) {
	$alert = ( $post->post_status == 'auto-draft' ) ? ' data-alert="1"' : '';
	echo '<p><button type="button" id="insta-edit-launch" class="button button-large button-primary"' . $alert . '>Launch InstaTheme Visual Editor</button></p>';
}

add_action('admin_footer', 'intheme_admin_launch_script');
function intheme_admin_launch_script() {
	global $post;
	if ( !isset($post->ID) ) return;
?>
<script>
jQuery(document).ready(function($){
	$('#insta-edit-launch').click(function(e){
		var $this = $(this), editor = '<?php echo add_query_arg('insta_editor', 'true', get_permalink($post->ID)); ?>';
		if ( adminpage == 'post-new-php' ) {
			if ( $('#title').val() == '' && $('#auto_draft').val() == 1 || $this.data('alert') == 1 ) {
				alert('ERROR: Please save this page at least as a draft first.');
				return false;
			}
			if ( $('#original_post_status').val() != 'publish' )
				editor += '&preview=true';
		}
		window.location.href = editor;
	});
});
</script>
<?php	
}

add_action('admin_init', 'intheme_operate_now');
function intheme_operate_now() {
	if ( isset($_POST['instareg']) && $_POST['instareg'] == 'activation' ) {
		$msg = '&activation=true';
		wp_redirect( admin_url('admin.php?page=insta-theme') . $msg );
		exit;
	}
}

function intheme_operation() {
	return true;
}

function intheme_is_all_unlocked() {
	return true;
}

add_action('admin_footer', 'intheme_more_themes');
function intheme_more_themes() {
	if ( isset($_GET['page']) && $_GET['page'] == 'insta-theme' ) {
?>
	<div style="display:none">
		<div id="inline_themes" style="padding:10px 20px">
			<h1>Unlocked Themes By Sista</h1>
			<?php if ( intheme_is_all_unlocked() ) : ?>
				<div class="unlock-results">You already have unlocked all available designs/templates.</div>
			<?php else : ?>
			<div class="unlock-results"></div>
			<table class="form-table">
				<tbody>
				<tr valign="top">
					<th scope="row"><label for="intheme-unlock-key">Unlock Key</label></th>
					<td>
						<input id="intheme-unlock-key" class="regular-text" type="text" value="" />
						<p class="description"><a href="http://instatheme.com/member/upgrade/" target="_blank">Click here</a> to obtain your unlock key.</p>
					</td>
				</tr>
				</tbody>
			</table>
			<p style="text-align:right"><button type="button" id="int-unlock-theme" class="edbtn edbtn-info">Unlock Now</button></p>
			<p style="text-align:center">
				<a href="http://instatheme.com/member/upgrade/" target="_blank"><img src="<?php echo INTHEME_URL; ?>images/themes.png" border="0" /></a>
			</p>
			<?php endif; ?>
		</div>
	</div>
	
	<script>
		jQuery(document).ready(function($){
			$(".int-inline").colorbox({inline:true, width:"50%"});
			
			$('#int-unlock-theme').click(function(e){
				e.preventDefault();
				var $this = $(this),
				key = $('#intheme-unlock-key').val(),
				label = $this.text(),
				data = {
					action: 'intheme_unlock',
					key: key
				};
				
				$this.attr('disabled', true);
				$this.text('Processing...');
				$.post(ajaxurl, data, function(response) {
					$this.removeAttr('disabled');
					$this.text(label);
					if ( response == 'success' ) {
						window.location.href = '<?php echo admin_url('admin.php?page=insta-theme'); ?>';
					} else {
						$('.unlock-results').html('<span style="color:#cc0000"><strong>ERROR: Incorrect unlock key.</strong></span>');
					}
				});
			});
		});
	</script>
<?php		
	}	
}

add_action('wp_ajax_intheme_unlock', 'intheme_unlock_callback');
function intheme_unlock_callback() {
	die('success');
}

add_action('wp_ajax_intheme_ajax_save', 'intheme_ajax_save_callback');
function intheme_ajax_save_callback() {
	if ( isset($_REQUEST['template']) ) {
		$of = get_theme_mods();
		if ( !is_array($of) )
			$of = array();
		
		$of['template'] = $_REQUEST['template'];
		of_save_options($of);
	}
	die();
}

add_action('admin_head', 'intheme_admin_url');
function intheme_admin_url() {
?>

<script>
	var insta_admin_url = '<?php echo admin_url('admin.php?page=insta-theme'); ?>',
	insta_template_url = '<?php echo INTHEME_TEMPLATES; ?>';
</script>

<?php
}
