<?php
add_action('init', 'intheme_remove_shortcodes');
function intheme_remove_shortcodes() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
		remove_all_shortcodes();
	
		// remove InstaMember protections...
		remove_action('template_redirect', 'stms_protect_member_home', 9);
		remove_action('template_redirect', 'stms_posts_protection', 12);	
	}
}

add_action('intheme_editor_top', 'intheme_editor_open');
function intheme_editor_open() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
		global $post, $intheme;
		
		$def_ed = ( isset($intheme['editor']) ) ? $intheme['editor'] : 'snap';
		$meta = get_post_meta($post->ID, 'insta_editor', true);
		$edtype = ( !empty($meta['editor']) ) ? $meta['editor'] : $def_ed;
		
		echo "\n" . '<div class="insta-editor-top">' . "\n";
?>
		<div>
			<div class="col-md-12">
				<img src="<?php echo INTHEME_IMAGES; ?>editor-logo.png" border="0" />
				<div class="insta-main-toolbar">
					<span style="color:#BBB">editor mode:</span> <span style="color:#FeFeFe"><strong><?php echo ucwords($edtype); ?> Editor</strong>&nbsp;&nbsp;</span>
					<div class="btn-group">
						<?php if ( $edtype == 'snap' ) { ?>
							<button type="button" class="btn btn-warning insta-switch-editor" data-current-editor="snap">Switch to Flex</button>
						<?php } else if ( $edtype == 'flex' ) { ?>
							<button type="button" class="btn btn-warning insta-switch-editor" data-current-editor="flex">Switch to Snap</button>
						<?php } ?>
						<button type="button" class="btn insta-page-settings">Page Settings</button>
						<?php if ( !isset($_GET['preview']) ) : ?><a target="_blank" href="<?php echo get_permalink($post->ID); ?>" class="btn btn-default" role="button">View Page</a><?php endif; ?>
					</div>
					<div class="btn-group">
						<button type="button" class="btn btn-default insta-undo disabled"><i class="fa fa-undo"></i></button>
						<button type="button" class="btn btn-default insta-redo disabled"><i class="fa fa-repeat"></i></button>
						<button type="button" id="insta-page-save" class="btn btn-success">Save Changes <span class="insta-dirty">*</span></button>
					</div>
					
					<a href="<?php echo admin_url('post.php?post=' . $post->ID . '&action=edit'); ?>" class="insta-exit-editor btn btn-danger" onclick="return confirm('Are you sure you want to close this editor?');"><i class="fa fa-times"></i></a>
				</div>
			</div>
		</div>
<?php
		echo "\n" . '</div>' . "\n";
	} else return false;
}

add_action('insta_footer', 'intheme_editor_close', 1);
function intheme_editor_close() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
		global $post;
		echo '<div class="insta-editor-tools">';
		intheme_editor_tools();
		echo '</div>';
		echo '<script type="text/javascript">var insta_id = ' . $post->ID . '</script>' . "\n\n";
	} else return false;
}

function intheme_editor_tools() {
	global $post;
?>
<div class="ite-tools-header">
	<!--
	<div class="ite-save-box">
		<?php if ( !isset($_GET['preview']) ) : ?><a target="_blank" href="<?php echo get_permalink($post->ID); ?>">View Page</a> | <?php endif; ?><a href="<?php echo admin_url('post.php?post=' . $post->ID . '&action=edit'); ?>" class="insta-exit-editor">Exit Editor</a>
	</div>
	-->
	<div class="ite-el-title">Droppable Elements</div>
</div>
<div class="ite-tools-el">
	<div class="ite-element ite-el-text" data-element="title">
		<div class="ite-el-icon"><i class="fa fa-text-height"></i></div>
		<div class="ite-el-name">Title</div>
	</div>
	<div class="ite-element ite-el-text" data-element="text">
		<div class="ite-el-icon"><i class="fa fa-align-left"></i></div>
		<div class="ite-el-name">Text</div>
	</div>
	<div class="ite-element ite-el-text ite-element-last" data-element="image">
		<div class="ite-el-icon"><i class="fa fa-picture-o"></i></div>
		<div class="ite-el-name">Image</div>
	</div>
	<div class="ite-element ite-el-text" data-element="video">
		<div class="ite-el-icon"><i class="fa fa-film"></i></div>
		<div class="ite-el-name">Video</div>
	</div>
	<div class="ite-element ite-el-text" data-element="columns">
		<div class="ite-el-icon"><i class="fa fa-columns"></i></div>
		<div class="ite-el-name">Columns</div>
	</div>
	<div class="ite-element ite-el-text ite-element-last" data-element="divider">
		<div class="ite-el-icon"><i class="fa fa-minus"></i></div>
		<div class="ite-el-name">Divider</div>
	</div>
	<div class="ite-element ite-el-text" data-element="button">
		<div class="ite-el-icon"><i class="fa fa-sign-in"></i></div>
		<div class="ite-el-name">Button</div>
	</div>
	
	<div class="ite-element ite-el-text" data-element="box">
		<div class="ite-el-icon"><i class="fa fa-inbox"></i></div>
		<div class="ite-el-name">Box</div>
	</div>
	<div class="ite-element ite-el-text ite-element-last" data-element="html">
		<div class="ite-el-icon"><i class="fa fa-code"></i></div>
		<div class="ite-el-name">HTML</div>
	</div>
	<div class="ite-element ite-el-text" data-element="iframe">
		<div class="ite-el-icon"><i class="fa fa-windows"></i></div>
		<div class="ite-el-name">Iframe</div>
	</div>

	<div class="ite-element ite-el-text" data-element="youtube">
		<div class="ite-el-icon"><i class="fa fa-youtube-play "></i></div>
		<div class="ite-el-name">YouTube</div>
	</div>
	<div class="ite-element ite-el-text ite-element-last" data-element="vimeo">
		<div class="ite-el-icon"><i class="fa fa-vimeo-square"></i></div>
		<div class="ite-el-name">Vimeo</div>
	</div>

	<div class="ite-element ite-el-text" data-element="fbcomm">
		<div class="ite-el-icon"><i class="fa fa-facebook-square"></i></div>
		<div class="ite-el-name">Comment</div>
	</div>
	<div class="ite-element ite-el-text" data-element="notice">
		<div class="ite-el-icon"><i class="fa fa-info-circle"></i></div>
		<div class="ite-el-name">Notice</div>
	</div>

	<div class="ite-element ite-el-text ite-element-last" data-element="note">
		<div class="ite-el-icon"><i class="fa fa-edit"></i></div>
		<div class="ite-el-name">Note</div>
	</div>
</div>
<div class="clearfix"></div>
<div class="ite-bottom-line1"></div>
<div class="ite-bottom-line2"></div>
<p style="text-align:center"><button type="button" class="btn btn-warning insta-insert-graphics">Insert Graphics</button></p>
<?php
}

add_action('insta_footer', 'intheme_editor_objects');
function intheme_editor_objects() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) :
		global $post;
		
		$ed_settings = array(
			'dfw' => false,
			'textarea_rows' => '15',
			'media_buttons' => true
		);
		$meta = get_post_meta($post->ID, 'insta_editor', true);
		$edtype = ( !empty($meta['editor']) ) ? $meta['editor'] : 'flex';
		$editor_url = add_query_arg('insta_editor', 'true', get_permalink($post->ID));
		if ( isset($_GET['preview']) )
			$editor_url .= '&preview=true';
?>
	<input type="hidden" id="insta-editor-element-id" value="" />
	<input type="hidden" id="insta-current-num" value="" />
	<input type="hidden" id="insta-current-img" value="" />
	<input type="hidden" id="insta-current-editor" value="<?php echo $edtype; ?>" />
	<input type="hidden" id="insta-post-id" data-post-id="<?php echo $post->ID; ?>" value=""/>
	<input type="hidden" id="insta-current-page" value="<?php echo get_permalink($post->ID); ?>" />
	<input type="hidden" id="insta-editor-url" value="<?php echo $editor_url; ?>" />
	<input type="hidden" id="insta-current-vidpage" data-flowurl="<?php echo add_query_arg('mode', 'insta_player', get_permalink($post->ID)); ?>" value="" />
	
	<img id="insta-img-src" src="<?php echo INTHEME_IMG; ?>img-editor.png" style="display:none" />
	<img id="insta-vid-src" src="<?php echo INTHEME_IMG; ?>vid-placeholder.png" style="display:none" />
	<img id="insta-yt-src" src="<?php echo INTHEME_IMG; ?>yt-placeholder.png" style="display:none" />
	
	
    <div id="ite-close-modal" class="modal fade">
    	<div class="modal-dialog">
    		<div class="modal-content">
			    <div class="modal-body">
			    	<p>Are you sure you want to delete this element?</p>
			    </div>
			    <div class="modal-footer">
			    	<button type="button" class="insta-remove-element btn btn-danger">Yes</button>
				    <button type="button" class="btn" data-dismiss="modal" aria-hidden="true">No</button>
			    </div>
    		</div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
	<div id="ite-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Text</h4>
				</div>
		     	<div class="modal-body">
		    		<div id="insta-text-editor"><?php wp_editor('', 'instafronteditor', $ed_settings); ?></div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-text btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
    		</div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-notice-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Notice</h4>
				</div>
		     	<div class="modal-body">
		     		<p>
		    		<?php wp_editor('', 'instanoticeeditor', array('media_buttons' => false, 'teeny' => true)); ?>
		    		</p>
		    		<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
		    		<p>
						<label for="edit-notice-type">Notice Type</label>
						<select id="edit-notice-type">
							<option value="warning">Warning</option>
							<option value="info">Info</option>
							<option value="danger">Error/Danger</option>
							<option value="success">Success</option>
						</select>
					</p>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-notice btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-image-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Image</h4>
				</div>
		     	<div class="modal-body">
		     		<div class="row">
		     			<div class="col-lg-6" style="border-right:1px solid #e5e5e5">
		     				<div style="padding:0 10px 0 0">
								<p>
					    			<label>Image Position</label>
					    		    <div id="edit-img-group" class="btn-group">
									    <button id="edit-img-pos-left" class="edit-img-pos btn btn-default" data-img-pos="left">Left</button>
									    <button id="edit-img-pos-center" class="edit-img-pos btn btn-default active" data-img-pos="center">Center</button>
									    <button id="edit-img-pos-right" class="edit-img-pos btn btn-default" data-img-pos="right">Right</button>
									    <input type="hidden" id="cur-img-pos" value="center" />
								    </div>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-img-url">Link URL (optional)</label>
									<input type="text" id="edit-img-url" class="col-lg-12" placeholder="http://"><br />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<div class="insta-switch btn-group">
									    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
									    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
									    <input type="checkbox" id="edit-img-url-target" class="insta-switch-val" value="1" style="display:none" />
									</div> Open link in new window
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-img-caption">Caption (optional)</label>
									<input type="text" id="edit-caption-text" class="col-lg-12" /><br />
								</p>
								
								
							</div>
						</div>
						<div class="col-lg-6">
							<div style="padding:0 0 0 10px">
								<p>
									<label for="edit-box-color">Caption Text Color</label>
									<input type="text" id="edit-caption-text-color" value="#808080" class="insta-pick-color" data-default-color="#808080" />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-box-color">Caption Box Color</label>
									<input type="text" id="edit-caption-box-color" value="#e5e5e5" class="insta-pick-color" data-default-color="#e5e5e5" />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-box-color">Caption Border Color</label>
									<input type="text" id="edit-caption-border-color" value="#cccccc" class="insta-pick-color" data-default-color="#cccccc" />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<div class="insta-switch btn-group">
								    <a class="btn insta-switch insta-switch-on" data-switch="on">On</a>
								    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">Off</a>
								    <input type="checkbox" id="edit-img-caption-box-shadow" class="insta-switch-val" value="1" style="display:none" />
								</div> Caption Box Drop Shadown
							</div>
						</div>
		    		</div>
		    	</div>
		    	<div class="modal-footer">
		    		<button type="button" class="btn insta-replace-img">Change Image</button>
			    	<button type="button" class="insta-update-img btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-column-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Columns</h4>
				</div>
		     	<div class="modal-body">
		     		<input type="hidden" id="cur-col-num" value="" />
		     		<input type="hidden" id="cur-col-width" value="" />
					<input type="hidden" id="orig-col-num" value="" />
		     		<div class="row" id="edit-colnum-group">
		     			
						<div class="col-lg-6" style="border-right:1px solid #e5e5e5">
							<div style="padding:0 10px 0 0">
								<div class="row">
									<div id="edit-col-2-" class="insta-col-type insta-col-type-active" data-col-num="2" data-col-width="">
										<div class="insta-col-border icontent-col-mini" style="width:49%">1/2</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:49%">1/2</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-3-" class="insta-col-type" data-col-num="3" data-col-width="">
										<div class="insta-col-border icontent-col-mini" style="width:32%">1/3</div>
										<div class="insta-col-border icontent-col-mini" style="width:32%">1/3</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:32%">1/3</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-4-" class="insta-col-type" data-col-num="4" data-col-width="">
										<div class="insta-col-border icontent-col-mini" style="width:23.5%">1/4</div>
										<div class="insta-col-border icontent-col-mini" style="width:23.5%">1/4</div>
										<div class="insta-col-border icontent-col-mini" style="width:23.5%">1/4</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:23.5%">1/4</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-5-" class="insta-col-type" data-col-num="5" data-col-width="">
										<div class="insta-col-border icontent-col-mini" style="width:18.4%">1/5</div>
										<div class="insta-col-border icontent-col-mini" style="width:18.4%">1/5</div>
										<div class="insta-col-border icontent-col-mini" style="width:18.4%">1/5</div>
										<div class="insta-col-border icontent-col-mini" style="width:18.4%">1/5</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:18.4%">1/5</div>
										<div class="clearfix"></div>
									</div>
								</div>
							</div>
						</div>
						<div class="col-lg-6">
							<div>
								<div class="row">
									<div id="edit-col-2-1a" class="insta-col-type" data-col-num="2" data-col-width="1a">
										<div class="insta-col-border icontent-col-mini" style="width:32%">1/3</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:66%">2/3</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-2-1b" class="insta-col-type" data-col-num="2" data-col-width="1b">
										<div class="insta-col-border icontent-col-mini" style="width:66%">2/3</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:32%">1/3</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-2-2a" class="insta-col-type" data-col-num="2" data-col-width="2a">
										<div class="insta-col-border icontent-col-mini" style="width:23.5%">1/4</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:74.5%">3/4</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="row">
									<div id="edit-col-2-2b" class="insta-col-type" data-col-num="2" data-col-width="2b">
										<div class="insta-col-border icontent-col-mini" style="width:74.5%">3/4</div>
										<div class="insta-col-border icontent-col-mini insta-col-last" style="width:23.5%">1/4</div>
										<div class="clearfix"></div>
									</div>
								</div>
							</div>
						</div>
						<p id="col-warning-txt" style="display:none; color:#cc0000"><strong>Warning: </strong> You're about to remove <span id="res-cols">x</span> column(s). Any element under the column(s) will also be removed.</p>
		    		</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-col btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-button-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Button</h4>
				</div>
		     	<div class="modal-body">
		    		<p>
		    			<label>Button Position</label>
		    		    <div id="edit-btn-group" class="btn-group">
						    <button id="edit-btn-pos-left" class="edit-btn-pos btn btn-default" data-btn-pos="left">Left</button>
						    <button id="edit-btn-pos-center" class="edit-btn-pos btn btn-default active" data-btn-pos="center">Center</button>
						    <button id="edit-btn-pos-right" class="edit-btn-pos btn btn-default" data-btn-pos="right">Right</button>
						    <input type="hidden" id="cur-btn-pos" value="center" />
					    </div>
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
		    			<label>Button Size</label>
		    		    <div id="edit-btn-size-group" class="btn-group">
						    <button id="edit-btn-size-xs" class="edit-btn-size btn btn-default" data-btn-size="xs">Mini</button>
						    <button id="edit-btn-size-sm" class="edit-btn-size btn btn-default" data-btn-size="sm">Small</button>
						    <button id="edit-btn-size-normal" class="edit-btn-size btn btn-default" data-btn-size="normal">Normal</button>
						    <button id="edit-btn-size-lg" class="edit-btn-size btn btn-default active" data-btn-size="lg">Large</button>
						    <button id="edit-btn-size-xlg" class="edit-btn-size btn btn-default" data-btn-size="xlg">Extra Large</button>
						    <input type="hidden" id="cur-btn-size" value="lg" />
					    </div>
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
		    			<label>Button Color</label>
		    		    <div id="edit-btn-clr-group" class="btn-group">
						    <button id="edit-btn-clr-default" class="edit-btn-clr btn btn-default" data-btn-clr="default">Grey</button>
						    <button id="edit-btn-clr-primary" class="edit-btn-clr btn btn-default" data-btn-clr="primary">Blue</button>
						    <button id="edit-btn-clr-info" class="edit-btn-clr btn btn-default" data-btn-clr="info">Light Blue</button>
						    <button id="edit-btn-clr-success" class="edit-btn-clr btn btn-default" data-btn-clr="success">Green</button>
						    <button id="edit-btn-clr-warning" class="edit-btn-clr btn btn-default btn-warning active" data-btn-clr="warning">Orange</button>
						    <button id="edit-btn-clr-danger" class="edit-btn-clr btn btn-default" data-btn-clr="danger">Red</button>
						    <button id="edit-btn-clr-custom" class="edit-btn-clr btn btn-default" data-btn-clr="custom">Custom</button>
						    <input type="hidden" id="cur-btn-clr" value="warning" />
					    </div>
					</p>
					
					<div id="btn-custom-colors">
						<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
						<p>
							<label for="edit-btn-text">Custom Button Text Color</label>
							<input type="text" id="edit-cusbtn-text-color" value="#FFFFFF" class="insta-pick-color" data-default-color="#FFFFFF" />
						</p>
						<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
						<p>
							<label for="edit-btn-text">Custom Button Background Color</label>
							<input type="text" id="edit-cusbtn-back-color" value="#A7A7A7" class="insta-pick-color" data-default-color="#A7A7A7" />
						</p>
						<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
						<p>
							<label for="edit-btn-text">Custom Button Border Color</label>
							<input type="text" id="edit-cusbtn-border-color" value="#666666" class="insta-pick-color" data-default-color="#666666" />
						</p>
					</div>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<div class="row">
						<div class="col-lg-6">
							<p>
								<label for="edit-btn-text">Button Text</label>
								<input type="text" id="edit-btn-text" class="col-lg-12" value="Button Text" /><br />
							</p>
						</div>
						<div class="col-lg-6">
							<p>
								<label for="edit-btn-url">Button URL</label>
								<input type="text" id="edit-btn-url" class="col-lg-12" placeholder="http://"><br />
								<label for="edit-btn-url-target" style="font-weight:normal"><input type="checkbox" id="edit-btn-url-target"> Open in new window</label>
							</p>
						</div>
					</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-btn btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-html-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit HTML</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-btn-text">HTML Code</label>
						<textarea id="edit-html-code" class="col-lg-12"></textarea>
					</p>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-html btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-fberror-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Facebook Comment Error</h4>
				</div>
		     	<div class="modal-body">
		     		<div class="alert alert-danger"><strong>ERROR:</strong> You must enter your Facebook Application ID first in <a href="#">InstaTheme -> Advanced Settings</a> before you can insert this element.</div>
		    	</div>
		    	<div class="modal-footer">
				    <button type="button" class="btn btn-default insta-edit-close">Close</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-title-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Title</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<textarea id="edit-title-text"></textarea>
					</p>
					<div class="row">
						<div class="col-lg-6" style="border-right:1px solid #E5E5E5">
							<p>
								<label>Add Text Stroke</label>
								<div class="insta-switch btn-group">
								    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
								    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
								    <input type="checkbox" id="edit-title-stroke" class="insta-switch-val" value="1" style="display:none" />
								</div>
							</p>
							<p>
								<label for="edit-btn-text">Text Stroke Color</label>
								<input type="text" id="edit-stroke-color" value="#FFFFFF" class="insta-pick-color" data-default-color="#FFFFFF" />
							</p>
						</div>
						<div class="col-lg-6">
							<p>
								<label>Add Text Shadow</label>
								<div class="insta-switch btn-group">
								    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
								    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
								    <input type="checkbox" id="edit-title-shadow" class="insta-switch-val" value="1" style="display:none" />
								</div>
							</p>
							<p>
								<label for="edit-btn-text">Text Shadow Color</label>
								<input type="text" id="edit-shadow-color" value="#808080" class="insta-pick-color" data-default-color="#808080" />
							</p>
						</div>
	    			</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-title btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-note-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Member's Note</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-btn-text">Title Text</label>
						<input type="text" id="edit-note-title" class="col-lg-12" value="Your Notes" /><br />
					</p>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-note btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-iframe-editor-modal" class="modal class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Iframe</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-btn-text">Iframe URL</label>
						<input type="text" id="edit-iframe-url" class="col-lg-12" placeholder="e.g. http://yourdomain.com/iframe.html" />
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<label for="edit-yt-size">Iframe Width</label>
						<input type="text" id="edit-iframe-width" class="col-lg-4" value="720" /> px
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<label for="edit-yt-size">Iframe Height</label>
						<input type="text" id="edit-iframe-height" class="col-lg-4" value="480" /> px
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
						    <input type="checkbox" id="edit-iframe-scroll" class="insta-switch-val" value="1" style="display:none" />
						</div> Display Scroller
					</p>
					
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
						    <input type="checkbox" id="edit-iframe-invisible" class="insta-switch-val" value="1" style="display:none" />
						</div> Invisible Iframe
					</p>
						
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-iframe btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-video-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Video</h4>
				</div>
		     	<div class="modal-body">
		     		<div class="row">
		     			<div class="col-lg-6" style="border-right:1px solid #e5e5e5">
		     				<div style="padding:0 10px 0 0">
								<p>
									<label for="edit-video-url">Video MP4 URL</label>
									<input type="text" id="edit-video-url" style="width:100%" placeholder="e.g. http://yourdomain.com/video.mp4">
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-video-ogg-url">Alternate Video OGG &amp; WebM URLs (optional)</label>
									<input type="text" id="edit-video-ogg-url" style="width:100%; margin-bottom: 10px;" placeholder="e.g. http://yourdomain.com/video.ogv"><br />
									<input type="text" id="edit-video-webm-url" style="width:100%" placeholder="e.g. http://yourdomain.com/video.webm"><br />
									<span style="font-size:12px" class="muted">If you have an OGG and/or WebM version of your video, you can put the URL(s) here to provide support for more browsers &amp; devices.</span>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
					    			<label>Aspect Ratio</label>
					    		    <div id="edit-ratio-group" class="btn-group">
									    <button id="edit-ratio-full" class="edit-ratio btn btn-default" data-vid-ratio="full">4:3</button>
									    <button id="edit-ratio-wide" class="edit-ratio btn btn-default active" data-vid-ratio="wide">16:9</button>
									    <button id="edit-ratio-anamorphic" class="edit-ratio btn btn-default" data-vid-ratio="anamorphic">2.39:1</button>
									    <input type="hidden" id="cur-ratio" value="wide" />
								    </div>
								</p>
								<p style="font-size:12px">
									<span class="muted"><strong>4:3 - </strong> TV Standard<br /><strong>16:9 - </strong> Widescreen<br /><strong>2.39:1 - </strong> Anamorphic Widescreen
								</p>
							</div>
						</div>
						<div class="col-lg-6">
							<div style="padding:0 0 0 10px">
								<p>
									<label for="edit-video-size">Video Size (width)</label>
									<input type="text" id="edit-video-size" class="col-lg-4" value="640" />&nbsp;px
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-video-splash-url">Image Splash URL (optional)</label>
									<input style="width:100%" id="edit-video-splash-url" type="text" placeholder="e.g. http://yourdomain.com/mysplash.jpg" />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<div class="insta-switch btn-group">
									    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
									    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
									    <input type="checkbox" id="edit-video-auto-play" class="insta-switch-val" value="1" style="display:none" />
									</div> Auto-Play Video
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<div class="insta-switch btn-group">
									    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
									    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
									    <input type="checkbox" id="edit-video-disable-controls" class="insta-switch-val" value="1" style="display:none" />
									</div> Disable Controls
								</p>
							</div>
						</div>
		    		</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-video btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-yt-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit YouTube</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-yt-url">YouTube Video URL</label>
						<input type="text" id="edit-yt-url" style="width:100%" placeholder="e.g. http://www.youtube.com/watch?v=7LWqRkGQGJ8">
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<label for="edit-yt-size">Video Size (width)</label>
						<input type="text" id="edit-yt-size" class="col-lg-2" value="640" />&nbsp;px
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
						    <input type="checkbox" id="edit-yt-auto-play" class="insta-switch-val" value="1" style="display:none" />
						</div> Auto-Play Video
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
						    <input type="checkbox" id="edit-yt-disable-controls" class="insta-switch-val" value="1" style="display:none" />
						</div> Disable Controls
					</p>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-yt btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-vm-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Vimeo</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-vm-url">Vimeo Video URL</label>
						<input type="text" id="edit-vm-url" class="col-lg-12" placeholder="e.g. https://vimeo.com/76040556">
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<label for="edit-vm-size">Video Size (width)</label>
						<input type="text" id="edit-vm-size" class="col-lg-4" value="640" /> px
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
						    <input type="checkbox" id="edit-vm-auto-play" class="insta-switch-val" value="1" style="display:none" />
						</div> Auto-Play Video
					</p>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-vm btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-divider-editor-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Divider</h4>
				</div>
		     	<div class="modal-body">
		     		<div class="row">
		     			<div class="col-lg-6" style="border-right:1px solid #e5e5e5">
		     				<div style="padding:0 10px 0 0">
		     					<?php if ( $edtype == 'snap' ) : ?>
								<p>
									<label>Divider Line Width</label>
									<div id="divider-width-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="divider-width-slider" id="edit-divider-width" type="text" value="100" />
										<span class="add-on">%</span>
									</div>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<?php endif; ?>
								<p>
									<label>Divider Line Style</label>
								    <div class="btn-group">
									    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
										    <span id="divider-style-dropdown">Solid</span>
										    <span class="caret"></span>
									    </a>
									    <ul class="dropdown-menu">
									    	<li><a href="#" class="divider-selector" data-divider-line="solid">Solid</a></li>
									    	<li><a href="#" class="divider-selector" data-divider-line="dashed">Dashed</a></li>
									    	<li><a href="#" class="divider-selector" data-divider-line="dotted">Dotted</a></li>
									    	<li><a href="#" class="divider-selector" data-divider-line="double">Double</a></li>
									    </ul>
								    </div>
								    <input id="edit-divider-style" type="hidden" value="solid" />
								</p>
								<?php if ( $edtype == 'flex' ) : ?>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label>Divider Line Thickness</label>
									<div id="divider-thickness-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="divider-thickness-slider" id="edit-divider-thick" type="text" value="1" />
										<span class="add-on">px</span>
									</div>
								</p>
								<?php endif; ?>
							</div>
						</div>
						<div class="col-lg-6">
							<div style="padding:0 0 0 10px">
								<?php if ( $edtype == 'snap' ) : ?>
								<p>
									<label>Divider Line Thickness</label>
									<div id="divider-thickness-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="divider-thickness-slider" id="edit-divider-thick" type="text" value="1" />
										<span class="add-on">px</span>
									</div>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<?php endif; ?>
								<p>
									<label for="edit-divider-color">Divider Line Color</label>
									<input type="text" id="edit-divider-color" value="#e5e5e5" class="insta-pick-color" data-default-color="#e5e5e5" />
								</p>
							</div>
						</div>
		    		</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-divider btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-box-editor-modal" class="modal fade">
		<div class="modal-dialog modal-lg">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Edit Box</h4>
				</div>
		     	<div class="modal-body">
		     		<div class="row">
		     			<div class="col-lg-6" style="border-right:1px solid #e5e5e5">
		     				<div style="padding:0 10px 0 0">
								<p>
									<label for="edit-box-color">Box Color</label>
									<input type="text" id="edit-box-color" value="#e5e5e5" class="insta-pick-color" data-default-color="#e5e5e5" />
								</p>
								<?php if ( $edtype == 'snap' ) : ?>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label>Box Width</label>
									<div id="box-width-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input id="edit-box-width" class="col-lg-3 it-number-val" data-slider-link="box-width-slider" type="text" value="100" />
										<span class="add-on">px</span>
									</div>
								</p>
								<?php endif; ?>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label>Border Style</label>
								    <div class="btn-group">
									    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
										    <span id="border-drop-down">Solid</span>
										    <span class="caret"></span>
									    </a>
									    <ul class="dropdown-menu">
									    	<li><a href="#" class="border-selector" data-border="solid">Solid</a></li>
									    	<li><a href="#" class="border-selector" data-border="dashed">Dashed</a></li>
									    	<li><a href="#" class="border-selector" data-border="dotted">Dotted</a></li>
									    	<li><a href="#" class="border-selector" data-border="double">Double</a></li>
									    	<li class="divider"></li>
									    	<li><a href="#" class="border-selector" data-border="none">None</a></li>
									    </ul>
								    </div>
								    <input id="edit-box-border-type" type="hidden" value="solid" />
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label for="edit-box-border-color">Border Color</label>
									<input type="text" id="edit-box-border-color" value="#cccccc" class="insta-pick-color" data-default-color="#cccccc" />
								</p>
								<?php if ( $edtype == 'flex' ) : ?>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<label>Border Thickness</label>
									<div id="border-thickness-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="border-thickness-slider" id="edit-box-border-thick" type="text" value="1" />
										<span class="add-on">px</span>
									</div>
								</p>
								<?php endif; ?>
							</div>
						</div>
						<div class="col-lg-6">
							<div style="padding:0 0 0 10px">
								<?php if ( $edtype == 'snap' ) : ?>
								<p>
									<label>Border Thickness</label>
									<div id="border-thickness-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="border-thickness-slider" id="edit-box-border-thick" type="text" value="1" />
										<span class="add-on">px</span>
									</div>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<?php endif; ?>
								<p>
									<label>Rounded Box Radius</label>
									<div id="box-radius-slider" class="insta-slider"></div><br />
									<div class="input-append">
										<input class="col-lg-3 it-number-val" data-slider-link="box-radius-slider" id="edit-box-border-radius" type="text" value="5" />
										<span class="add-on">px</span>
									</div>
								</p>
								<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
								<p>
									<div class="insta-switch btn-group">
									    <a class="btn insta-switch insta-switch-on" data-switch="on">Yes</a>
									    <a class="btn insta-switch insta-switch-off btn-danger active" data-switch="off">No</a>
									    <input type="checkbox" id="edit-box-drop-shadow" class="insta-switch-val" value="1" style="display:none" />
									</div> Add Drop Shadow
								</p>
							</div>
						</div>
		    		</div>
		    	</div>
		    	<div class="modal-footer">
			    	<button type="button" class="insta-update-box btn btn-success insta-update-el">Update</button>
				    <button type="button" class="btn btn-default insta-edit-close">Cancel</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-page-settings-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Page Settings</h4>
				</div>
		     	<div class="modal-body">
					<p>
						<label for="edit-page-title">Page Title</label>
						<input type="text" id="edit-page-title" style="width:100%" value="<?php echo esc_attr($post->post_title); ?>">
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<?php
						$on_class = ' btn-default';
						$off_class = ' btn-danger active';
						$hide_title = ( isset($meta['hide_title']) && $meta['hide_title'] == 'yes' ) ? 'yes' : 'no';
						if ( $hide_title == 'yes' ) {
							$on_class = ' btn-success active';
							$off_class = ' btn-default';
						}
						?>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on insta-pg-title<?php echo $on_class; ?>" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off insta-pg-title<?php echo $off_class; ?>" data-switch="off">No</a>
						    <input type="checkbox" id="edit-hide-title" class="insta-switch-val" value="1" style="display:none"<?php if ( $hide_title == 'yes' ) echo ' checked="checked"'; ?> />
						</div> Hide Page Title
					</p>
					<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
					<p>
						<?php
						$on_class = ' btn-default';
						$off_class = ' btn-danger active';
						$hide_comment = ( isset($post->comment_status) && $post->comment_status == 'closed' ) ? 'closed' : 'open';
						if ( $hide_comment == 'closed' ) {
							$on_class = ' btn-success active';
							$off_class = ' btn-default';
						}
						?>
						<div class="insta-switch btn-group">
						    <a class="btn insta-switch insta-switch-on insta-cm-dis<?php echo $on_class; ?>" data-switch="on">Yes</a>
						    <a class="btn insta-switch insta-switch-off insta-cm-dis<?php echo $off_class; ?>" data-switch="off">No</a>
						    <input type="checkbox" id="edit-disable-comment" class="insta-switch-val" value="1" style="display:none"<?php if ( $hide_comment == 'closed' ) echo ' checked="checked"'; ?> />
						</div> Disable WordPress Comments
					</p>
		    	</div>
		    	<div class="modal-footer">
				    <button type="button" class="btn btn-default insta-edit-close">Close</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
    
    <div id="ite-graphics-modal" class="modal fade">
		<div class="modal-dialog">
    		<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title">Insert Graphics</h4>
				</div>
		     	<div class="modal-body" style="overflow:hidden !important;">
		     			<p>
							<label>Graphic Type</label>
						    <div class="btn-group">
							    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
								    <span id="graphic-drop-down">Bullets</span>
								    <span class="caret"></span>
							    </a>
							    <ul class="dropdown-menu">
							    	<?php $dirs = intheme_get_graphic_dirs();
									if ( $dirs ) {
										foreach ( $dirs as $dir ) {
											echo "<li><a href='#' class='graphic-selector' data-graphic='{$dir}'>" . ucwords($dir) . "</a></li>";
										}
									}
									?>
							    </ul>
						    </div>
						</p>
						<div style="padding-top:15px; border-top:1px solid #E5E5E5"></div>
						<p><strong>Drag &amp; Drop the graphic below to insert:</strong></p>
						
						<div id="graphics-area" style="height: 240px; overflow: auto;">
							<div id="insta-graphics-bullets" class="insta-graphic-lists">
								<?php $graphics = intheme_get_graphics('bullets');
									if ( $graphics ) {
										foreach ( $graphics as $graphic ) {
											echo "<img src='" . INTHEME_IMG . "/graphics/bullets/{$graphic}' border='0' class='graphic-item' title='Drag this image' data-element='image' />";
										}
									}
								?>
							</div>
						</div>
						<div id="graphics-hidden" style="display:none"></div>

		    	</div>
		    	<div class="modal-footer">
				    <button type="button" class="btn btn-default insta-edit-close">Close</button>
			    </div>
		    </div><!-- /.modal-content -->
  		</div><!-- /.modal-dialog -->
	</div><!-- /.modal -->
<?php
	endif;
}

add_action('insta_ajax_get_graphics', 'intheme_ajax_get_graphics');
function intheme_ajax_get_graphics() {
	$dir = trim($_REQUEST['dir']);
	$graphics = intheme_get_graphics($dir);
	echo '<div id="insta-graphics-' . $dir . '" class="insta-graphic-lists">';
	if ( $graphics ) {
		foreach ( $graphics as $graphic ) {
			echo "<img src='" . INTHEME_IMG . "/graphics/{$dir}/{$graphic}' border='0' class='graphic-item' title='Drag this image' data-element='image' />";
		}
	} else {
		echo '<p><em>Graphic Unavailable</em></p>';
	}
	echo '</div>';
}

add_action('insta_ajax_save_editor', 'intheme_save_editor');
function intheme_save_editor() {
	$post_id = $_REQUEST['post_id'];
	$content = trim(stripslashes($_REQUEST['content']));
	
	if ( !current_user_can('edit_posts') || !current_user_can('edit_pages') )
		die("You have no privileges to edit or save a page.");
	
	$post_data = array();
	if ( $post = get_post($post_id) ) {
		foreach ( $post as $k => $v ) {
			$post_data[$k] = $v;
		}
		unset($post_data['post_modified']);
		unset($post_data['post_modified_gmt']);
		unset($post_data['post_content_filtered']);
		unset($post_data['guid']);
		unset($post_data['post_mime_type']);
		unset($post_data['comment_count']);
	}
	
	if ( !isset($post_data['ID']) ) $post_data['ID'] = $post_id;
	$post_data['post_title'] = sanitize_text_field($_REQUEST['title']);
	$post_data['post_content'] = $content;
	
	if ( $_REQUEST['disable_comment'] == 'yes' ) {
		$post_data['comment_status'] = 'closed';
		$post_data['ping_status'] = 'closed';
	}
	
	$result = wp_update_post($post_data, true);
	if ( is_wp_error($result) ) die($result->get_error_message());
	
	update_post_meta(
		$post_id,
		'insta_editor',
		array(
			'content' => $content,
			'editor' => $_REQUEST['editor'],
			'height' => $_REQUEST['height'],
			'hide_title' => $_REQUEST['hide_title']
		)
	);
	echo 'OK';
}

if ( !function_exists('is_plugin_active') )
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );

if ( !is_admin() && !is_plugin_active('ultimate-tinymce/main.php')
		&& !is_plugin_active('ultimate-tinymce/ultimate-tinymce/main.php')
		&& !is_plugin_active('optin-pressor/optin-pressor.php')
) {
	if ( defined('PT_REL_SCRIPTS') || defined('PVM_PATH') ) {
		add_filter('mce_buttons_4', 'intheme_mce_buttons');
	} else {
		add_filter('mce_buttons_3', 'intheme_mce_buttons');
	}
}

function intheme_mce_buttons( $buttons ) {
	array_push( $buttons, 'fontselect', 'fontsizeselect', 'backcolor', 'separator');
   	return $buttons;
}

add_filter('tiny_mce_before_init', 'intheme_tinymce_format' );
function intheme_tinymce_format( $in ) {
	$in['keep_styles'] = true;
	$in['extended_valid_elements'] = "div[*]";
 	return $in;
}

add_filter('the_content', 'intheme_editor_filter', 99);
function intheme_editor_filter( $content ) {
	global $post;
	if ( isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
		$meta = get_post_meta($post->ID, 'insta_editor', true);
		if ( !$meta || !is_array($meta) && $content != '' ) {
			if ( !empty($content) ) {
				$orig_content = $content;
				$content = '<div id="insta-el-' . $post->ID . '00" class="insta-content-el" data-el="text">' . $orig_content . '</div>';
			}
		}
	}
	return $content;
}

if ( !is_admin() ) add_action('init', 'intheme_add_tinymce_btn');
function intheme_add_tinymce_btn() {
	if ( !intheme_instamember() )
		return;
	
	// Don't bother doing this stuff if the current user lacks permissions
	if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') )
		return;
 
	// Add only in Rich Editor mode
	if ( get_user_option('rich_editing') == 'true') {
		add_filter('mce_external_plugins', 'intheme_tinymce_js');
		if ( defined('PT_REL_SCRIPTS') || defined('PVM_PATH') || defined('OPL_BASENAME') )
			add_filter('mce_buttons', 'intheme_reg_tinymce_btn');
		else
			add_filter('mce_buttons_3', 'intheme_reg_tinymce_btn');
	}
}
 
function intheme_reg_tinymce_btn( $buttons ) {
	array_unshift($buttons, "instamember");
	return $buttons;
}

function intheme_tinymce_js( $plugin_array ) {
	$version = get_bloginfo('version');
	$js_file = ( $version < 3.9 ) ? INTHEME_JS . 'shortcodes.js' : INTHEME_JS . 'shortcodes_39.js';
	$plugin_array['instamember'] = $js_file;
	return $plugin_array;
}

add_filter('the_content', 'intheme_final_content', 5);
function intheme_final_content( $content ) {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' )
		return $content;
	
	global $post;
	
	$meta = get_post_meta($post->ID, 'insta_editor', true);
	$edtype = ( !empty($meta['editor']) ) ? $meta['editor'] : 'snap';
		
	$content = str_replace('contenteditable="true"', '', $content);
	$content = str_replace('ui-resizable-autohide', '', $content);
	
	return $content;
}

add_action('wp_head', 'intheme_hide_wpbar', 20);
function intheme_hide_wpbar() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
?>
<style type="text/css">
	#wpadminbar {
		display: none !important;
	}
</style><?php
	}
}
