<?php
function intheme_instamember() {
	global $intheme;
	return ((function_exists('is_stmsmember_logged_in') && @$intheme['instamember_integration'] == 1) ? TRUE : FALSE);
}

function intheme_member_logged_in() {
	global $data;
	$session = ( intheme_instamember() ) ? is_stmsmember_logged_in() : is_user_logged_in();
	if ( intheme_instamember() && function_exists('is_stms_admin') ) {
		$stms = get_option('stms_settings'); // load InstaMember global settings...
		if ( isset($stms['global']['admin_unlock']) && $stms['global']['admin_unlock'] == 1 && is_stms_admin() )
			$session = true;
	}
	
	if ( !intheme_instamember() ) {
		global $lldocroot;
		$configFileName = $lldocroot . "/dap/dap-config.php";
		if ( file_exists($configFileName) && Dap_Session::isLoggedIn() ) {
			$session = true;
		}
	}
	return $session;
}

function intheme_currentmember() {
	if ( !intheme_member_logged_in() ) return false;
	if ( intheme_instamember() && function_exists('stms_get_current_member') ) {
		$user = stms_get_current_member();
		
		$userdata = array();
		$userdata['ID'] = ( isset($user->ID) ) ? $user->ID : 0;
		$userdata['username'] = intheme_sanitize($user->username);
		$userdata['email'] = intheme_sanitize($user->email);
		$userdata['first_name'] = intheme_sanitize($user->first_name);
		$userdata['last_name'] = intheme_sanitize($user->last_name);
		$userdata['display_name'] = $userdata['username'];
	} else {
		global $lldocroot;
		$configFileName = $lldocroot . "/dap/dap-config.php";
		if ( file_exists($configFileName) ) {
			$session = Dap_Session::getSession();
			$user = $session->getUser();
			
			$userdata = array();
			
			$userdata['ID'] = ( isset($user->id) ) ? $user->id : 0;
			$userdata['username'] = intheme_sanitize($user->user_name);
			$userdata['email'] = intheme_sanitize($user->email);
			$userdata['first_name'] = intheme_sanitize($user->first_name);
			$userdata['last_name'] = intheme_sanitize($user->last_name);
			$userdata['display_name'] = $userdata['username'];
		} else {
			$user = wp_get_current_user();
			if ( isset($user->data) )
				$user = $user->data;
			
			$userdata = array();
			$userdata['ID'] = ( isset($user->ID) ) ? $user->ID : 0;
			$userdata['username'] = intheme_sanitize($user->user_login);
			$userdata['email'] = intheme_sanitize($user->user_email);
			$userdata['first_name'] = @intheme_sanitize($user->user_firstname);
			$userdata['last_name'] = @intheme_sanitize($user->user_lastname);
			$userdata['display_name'] = ( !empty($userdata['first_name']) ) ? $userdata['first_name'] . ( !empty($userdata['last_name']) ? ' ' . $userdata['last_name'] : '') : ( !empty($user->display_name) ? $user->display_name : $userdata['username']);
		}
	}
	
	return $userdata;
}

function intheme_member_welcome() {
	global $intheme;
	if ( isset($intheme['show_welcome']) && $intheme['show_welcome'] == 1 ) {
		if ( intheme_member_logged_in() && empty($paged) ) {
			$iw_display = true;
			$welcome_display = isset($intheme['welcomedisplay']) ? $intheme['welcomedisplay'] : 'once';
			if ( $welcome_display == 'session' && isset($_COOKIE['__insta_welcome_session']) )
				$iw_display = false;
			if ( $welcome_display == 'day' && isset($_COOKIE['__insta_welcome_day']) )
				$iw_display = false;
			if ( $welcome_display == 'once' && isset($_COOKIE['__insta_welcome_once']) )
				$iw_display = false;
			
		if ( !$iw_display ) return;
		
		$closeable = isset($intheme['welcomeclose']) ? (bool) $intheme['welcomeclose'] : true;
?>
		<div id="welcome" style="margin-top:20px" class="instawelcome alert <?php if ( isset($intheme['welcomecentered']) && $intheme['welcomecentered'] == 1 ) { echo ' welcomecentered'; } ?>">
			<?php if ( $closeable ) : ?><button type="button" class="close instawelcomeclose" aria-hidden="true">&times;</button><?php endif; ?>
			<h1><?php echo intheme_sanitize($intheme['welcometitle']) ?></h1>
			<div><?php echo wpautop(do_shortcode(intheme_sanitize($intheme['welcomeparagraph']))); ?></div>
		</div>
		
		<?php if ( $closeable ) : ?>
		<script>
			jQuery(document).ready(function($){
				$('.instawelcomeclose').click(function(e){
					e.preventDefault();
					$('#welcome').slideUp("medium");
				});
			});
		</script>
		<?php endif; ?>
<?php

			$iw_expire = 0;
			if ( $welcome_display == 'once' )
				$iw_expire = time() + 84600 * 356;
				
			if ( $welcome_display == 'day' )
				$iw_expire = time() + 84600;

			if ( $welcome_display != 'forever' ) {
				@setcookie('__insta_welcome_' . $welcome_display, 1, $ia_expire, COOKIEPATH);
				@setcookie('__insta_welcome_' . $welcome_display, 1, $ia_expire, SITECOOKIEPATH);
			}

		}
	}
}

add_action('wp_head', 'intheme_member_welcome_style', 20);
function intheme_member_welcome_style() {
	global $intheme;
	if ( isset($intheme['show_welcome']) && $intheme['show_welcome'] == 1 ) {
		$color = ( isset($intheme['welcomecolor']) ) ? $intheme['welcomecolor'] : '#3a87ad';
		$background = ( isset($intheme['welcomebackground']) ) ? $intheme['welcomebackground'] : '#d9edf7';
		$border = ( isset($intheme['welcomeborder']) ) ? $intheme['welcomeborder'] : '#3a87ad';
?>	
<style type="text/css">
	.instawelcome {
		color: <?php echo $color; ?>;
		background-color: <?php echo $background; ?>;
		border-color: <?php echo $border; ?>;
	}
</style>
<?php
	}
}