<?php
add_action('admin_menu', 'intheme_add_meta_box');
function intheme_add_meta_box() {
	if ( !function_exists( 'add_meta_box' ) )
		return;
	
	add_meta_box( 'ibt-meta-box-post', 'InstaTheme Post Options', 'intheme_meta_box', 'post', 'normal', 'high' );
	add_meta_box( 'ibt-meta-box-page', 'InstaTheme Page Options', 'intheme_meta_box', 'page', 'normal', 'high' );
}

function intheme_meta_box( $post ) {
	$value = get_post_meta($post->ID, 'metaibt_fullwidth', true);
	
	echo '<input type="hidden" name="ibt_meta_nonce" id="ibt_meta_nonce" value="' . wp_create_nonce( plugin_basename(__FILE__) ) . '" />';
	echo '<input type="hidden" name="ibt_post_id" id="ibt_post_id" value="' . $post->ID . '" />';
	
?>
	<ul id="ibt-meta">
		<li>
			<label style="display:inline-block; width:15%"><?php _e('Full Width', 'instatheme'); ?></label>
			<label for="ibt_full_width" style="display:inline;font-weight:normal"><input type="checkbox" name="ibt_full_width" id="ibt_full_width" value="1"<?php echo ( $value == 1 ? ' checked="checked"' : ''); ?> /> <code><?php printf(__('Check this box to make this %s Full Width. The sidebar will be hidden.', 'instatheme'), $post->post_type); ?></code></label><br />
		</li>
	</ul>
<?php
}

add_action('save_post', 'intheme_save_meta');
function intheme_save_meta( $post_id ) {
	if ( !isset($_POST) ) return;
	$ibt_meta_nonce = @$_POST['ibt_meta_nonce'];
	if ( !wp_verify_nonce( $ibt_meta_nonce, plugin_basename(__FILE__) ) ) { 
		return $post_id;
	}
    
	if ( 'page' == $_POST['post_type']  ) {
    	if ( !current_user_can( 'edit_page', $post_id ) ) return $post_id;
	} else {
  		if ( !current_user_can( 'edit_post', $post_id ) ) return $post_id;
	}
	
	$val = ( isset($_POST['ibt_full_width']) ) ? 1 : 0;
	update_post_meta($post_id, 'metaibt_fullwidth', $val);
}