<?php
add_action('wp_enqueue_scripts', 'intheme_frontend_scripts');
function intheme_frontend_scripts() {
	global $intheme, $wp_styles, $post;
	
	// register font-awesome
	wp_register_style('font-awesome', INTHEME_CSS . 'font-awesome.min.css');
	//wp_register_style('font-awesome-ie', INTHEME_CSS . 'font-awesome-ie7.min.css', array('font-awesome'));
		
	$wp_styles->add_data('jqueryui-ie', 'conditional', 'lt IE 9');
	//$wp_styles->add_data('font-awesome-ie', 'conditional', 'lt IE 7');
		
	// load styles
	wp_enqueue_style($intheme['template'], INTHEME_TEMPLATES . $intheme['template'] . '/style.css', array('font-awesome'));
	
	$theme_color = str_replace('#', '', $intheme['theme_color_pre']);
	if ( file_exists(INTHEME_TMPL . $intheme['template'] . '/' . $theme_color . '.css') )
		wp_enqueue_style($intheme['template'] . '-color', INTHEME_TEMPLATES . $intheme['template'] . '/' . $theme_color . '.css');
	
	// load scripts
	wp_enqueue_script('bootstrap', INTHEME_ASSETS . 'js/bootstrap.min.js', array('jquery'), '2.3.2', true);
	wp_enqueue_script('bootstrap-hover', INTHEME_ASSETS . 'js/bootstrap-dropdown-hover.js', array('jquery', 'bootstrap'), '1.0.0', true);
	wp_enqueue_script('resize', INTHEME_ASSETS . 'js/jquery.ba-resize.min.js', array('jquery'), '', true);
	wp_enqueue_script('scroll-top', INTHEME_URL . 'lib/inc/scrolltotop/scrolltotop.js', array('jquery'), '', true);
	
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) {
		
		$meta = get_post_meta($post->ID, 'insta_editor', true);
		$edtype = ( !empty($meta['editor']) ) ? $meta['editor'] : 'flex';
		
		wp_register_style('jqueryui', INTHEME_CSS . 'jquery-ui-1.10.0.custom.css');
		wp_register_style('jqueryui-ie', INTHEME_CSS . 'jquery.ui.1.10.0.ie.css', array('jqueryui'));
		
		wp_register_style('jquery-te', INTHEME_CSS . 'jquery-te-1.4.0.css');
		
		wp_register_script('undo', INTHEME_JS . 'undo.js', array('jquery'));
		wp_register_script('BlockUI', INTHEME_JS . 'jquery.blockUI.js', array('jquery'), '2.66.0', true);
		wp_register_script('iris', INTHEME_JS . 'iris.min.js', array('jquery', 'jquery-ui-core', 'jquery-ui-slider'), '1.7.1', true);
		wp_register_script('insta-color-picker', INTHEME_JS . 'insta-color-picker.js', array('iris'), '1.0.0', true);
		wp_register_script('jquery-te', INTHEME_JS . 'jquery-te-1.4.0.js', array('jquery'), '1.4.0', true);
		
		if ( !wp_script_is( 'jquery-ui-core', 'registered' ) ) {
			// another evil plugin deregister the jquery-ui-core without replacing it...
			// plugins or theme and other js scripts that depends on the jquery-ui-core will be ruined...
			// register jquery-ui-core here...
			wp_register_script('jquery-ui-core', INTHEME_JS . 'jquery-ui-1.10.4.custom.min.js', array('jquery'), '1.10.4', true);
		}
		
		wp_enqueue_style(
			'insta-editor', 
			INTHEME_CSS . 'editor.css',
			array(
				'jqueryui',
				'font-awesome',
				'jqueryui-ie',
				'jquery-te'
			),
			'1.0.0'
		);
		
		wp_enqueue_media(); // WP Media Library
		wp_enqueue_script(
			'insta-editor',
			INTHEME_JS . 'editor-' . $edtype . '.js', 
			array(
				'jquery',
				'undo',
				'jquery-ui-core',
				'jquery-ui-widget',
				'jquery-ui-mouse',
				'jquery-effects-core',
				'jquery-ui-sortable',
				'jquery-ui-droppable',
				'jquery-ui-draggable',
				'jquery-ui-resizable',
				'insta-color-picker',
				'BlockUI',
				'jquery-te'
			), 
			'1.0.0', 
			true
		);
		
	} else {
		if ( isset($intheme['show_stripebar']) && $intheme['show_stripebar'] == 1 ) {
			$woah_display = false;
			$woah_placement_display = true;
			
			$stripebar_placement = isset($intheme['stripebar_placement']) ? $intheme['stripebar_placement'] : 'all';
			$stripebar_display = isset($intheme['stripebar_display']) ? $intheme['stripebar_display'] : 'session';
			
			// Check the placement display first...
			if ( $stripebar_placement == 'home' && !( (is_home() || is_front_page()) ) )
				$woah_placement_display = false;
			
			if ( $stripebar_placement == 'postpage' && !is_singular() )
				$woah_placement_display = false;
			
			if ( $stripebar_placement == 'post' && !is_single() )
				$woah_placement_display = false;
			
			if ( $stripebar_placement == 'page' && !is_page() )
				$woah_placement_display = false;
				
			// Check the cookie settings...
			if ( $woah_placement_display ) {
				$woah_display = true;
				if ( $stripebar_display == 'session' && isset($_COOKIE['__insta_attention_session']) )
					$woah_display = false;
				if ( $stripebar_display == 'day' && isset($_COOKIE['__insta_attention_day']) )
					$woah_display = false;
				if ( $stripebar_display == 'once' && isset($_COOKIE['__insta_attention_once']) )
					$woah_display = false;
			}
			
			if ( $woah_display ) {
				wp_enqueue_script('instabar', INTHEME_URL . 'lib/inc/hellobaralt/woahbar.js', array('jquery', 'jquery-ui-core', 'jquery-effects-core', 'jquery-effects-bounce'), '', true);
				
				$ia_expire = 0;
				if ( $stripebar_display == 'once' )
					$ia_expire = time() + 84600 * 356;
					
				if ( $stripebar_display == 'day' )
					$ia_expire = time() + 84600;

				if ( $stripebar_display != 'forever' ) {
					@setcookie('__insta_attention_' . $stripebar_display, 1, $ia_expire, COOKIEPATH);
					@setcookie('__insta_attention_' . $stripebar_display, 1, $ia_expire, SITECOOKIEPATH);
				}
			}
		}
	}
	
	if ( is_singular() ) {
		$editor_meta = get_post_meta($post->ID, 'insta_editor', true);
		if ( isset($editor_meta['editor']) && $editor_meta['editor'] == 'flex' ) {
			wp_enqueue_style('insta-flex', INTHEME_CSS . 'style-flex.css');
		}
	}
	
	// load comment script
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script('comment-reply');
}

add_action('intheme_before_container', 'intheme_attention_bar');
function intheme_attention_bar() {
	if ( is_intheme_admin() && isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true' ) return;
	global $intheme;
	if ( isset($intheme['show_stripebar']) && $intheme['show_stripebar'] == 1 )
		require_once(INTHEME_LIB . '/inc/hellobaralt/bar.php');
}

add_filter('wp_title', 'intheme_wp_title', 10, 2);
function intheme_wp_title( $title, $sep ) {
	global $intheme, $page, $paged;
	
	if ( is_feed() ) return $title;
	
	// Add the site name.
	$title .= get_bloginfo('name');
	
	// Add the site description for the home/front page.
	$site_description = get_bloginfo('description', 'display');
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "{$title} {$sep} {$site_description}";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "{$title} {$sep} " . sprintf( __( 'Page %s', 'intheme' ), max($paged, $page) );
	
	return $title;
}

//add_action('wp_head', 'intheme_dynamic_css', 99);
function intheme_dynamic_css() {
	global $intheme;
	
	if ( !is_array($intheme) )
		return;
	
	if ( has_action('wp_head', 'external_dynamic_css') )
		return;
	
	$data = $intheme;
	$theme_color = ( !empty($data['theme_color']) ) ? intheme_sanitize($data['theme_color']) : $data['theme_color_pre'];
	$content_bgcolor = ( !empty($data['content_bgcolor']) ) ? intheme_sanitize($data['content_bgcolor']) : $data['content_bgcolor_pre'];
	$header_bgcolor = intheme_sanitize($data['header_bgcolor']);
	
	$custom_style = $data['custom_style'];
?>
<style type="text/css">
/* Main Color Theme */
#sidebar h2, #sidebar h3,
#sidebar .member_menu_sidebar li a:hover,
.woahbar,
.show-notify,
#menutop li:hover,
#menutop li.current-menu-item,
#back-top a:hover {
	background-color: <?php echo $theme_color; ?>;
}
.entry-header h2.entry-title a, .pagination a { color: <?php echo $theme_color; ?>; }
#site-footer,
#site-header,
.navbar,
#menutop li:hover,
#menutop li.current-menu-item {
	border-color: <?php echo $theme_color; ?>;
}

<?php if ( $custom_style ) : ?>
/* Content Background Color */
.site-content { background-color: <?php echo $content_bgcolor; ?>; }
/* Link Color */
a { color: <?php echo intheme_sanitize($data['textlink_color']); ?>; }
a:hover { color: <?php echo intheme_sanitize($data['textlink_colorhover']); ?>; }
/* Sidebar Background */
#wrap, #sidebar { background-color: <?php echo intheme_sanitize($data['sidebar_bgcolor']); ?>; }

/* Header Background */
#site-header { background-color: <?php echo $header_bgcolor; ?>; }
<?php if ( !empty($data['header_image']) ) : ?>
#site-header {
	background: <?php echo $header_bgcolor; ?> url('<?php echo intheme_sanitize($data['header_image']); ?>') top left repeat !important;
}
<?php endif; ?>

/* Header Text Color */
#site-header,
#site-header a,
#logo h1.site-logo,
#logo h1.site-logo a,
ul.menu li a,
ul.menu li a:hover, ul.menu li.current-menu-item a {
	color: <?php echo intheme_sanitize($data['header_fontcolor']); ?>;
}
/* Footer Background Color */
#site-footer { background: <?php echo intheme_sanitize($data['footer_bgcolor']); ?>; }
/* Footer Text Color */
#site-footer,
#site-footer .menufooter li a,
#site-footer a {
	color: <?php echo intheme_sanitize($data['footer_fontcolor']); ?>;
}

<?php if ( !empty($intheme['custom_css']) ) : ?>
/* Custom CSS */
<?php echo esc_html(intheme_sanitize($intheme['custom_css'])); ?>
<?php endif; ?>
<?php endif; // custom style ?>
</style>
<?php	
}

function intheme_top_menu() {
	do_action('intheme_top_menu');
}

add_filter('wp_nav_menu_objects', 'intheme_menu_parent_class');
function intheme_menu_parent_class( $items ) {
	$parents = array();
	
	foreach ( $items as $item ) {
		if ( $item->menu_item_parent && $item->menu_item_parent > 0 ) {
			$parents[] = $item->menu_item_parent;
		}
		
		if ( $item->current )
			$item->classes[] = 'active';
	}
	
	foreach ( $items as $item ) {
		if ( in_array( $item->ID, $parents ) ) {
			$class = 'dropdown';
			if ( !empty($item->menu_item_parent) )
				$class = 'dropdown-submenu';
			$item->classes[] = $class;
		}
	}
	return $items;
}

function intheme_header_logo() {
	global $intheme;
	$class = ( !empty($intheme['logo']) ) ? 'site-logo site-img-logo' : 'site-logo';
	$logo = ( !empty($intheme['logo']) ) ? '<img src="' . intheme_sanitize($intheme['logo']) . '" border="0" />' : get_bloginfo('name');
?>
<h1 class="<?php echo $class; ?>"><a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php echo $logo; ?></a></h1>
<?php
}

function intheme_social_profiles() { 
	global $intheme;
	echo '<div class="fading_group social_profiles">Connect With Us:&nbsp;&nbsp;';
	if ( !empty($intheme['facebook_url']) ) {
		echo '<a class="social_icons facebook" href="' . intheme_sanitize($intheme['facebook_url']) . '"></a>';
	}
	if ( !empty($intheme['twitter_username']) ) {
		echo '<a class="social_icons twitter" href="http://twitter.com/' . intheme_sanitize($intheme['twitter_username']) . '"></a>';
	}
	if ( !empty($intheme['linkedin_url']) ) {
		echo '<a class="social_icons linkedin" href="' . intheme_sanitize($intheme['linkedin_url']) . '"></a>';
	}
	if ( !empty($intheme['youtube_url']) ) {
		echo '<a class="social_icons youtube" href="' . intheme_sanitize($intheme['youtube_url']) . '"></a>';
	}
	if ( !empty($intheme['googleplus_url']) ) {
		echo '<a class="social_icons googleplus" href="' . intheme_sanitize($intheme['googleplus_url']) . '"></a>';
	}
	if ( !empty($intheme['pinterest_url']) ) {
		echo '<a class="social_icons pinterest" href="' . intheme_sanitize($intheme['pinterest_url']) . '"></a>';
	}
	if ( !empty($intheme['rss_url']) ) {
		echo '<a class="social_icons rss" href="' . intheme_sanitize($intheme['rss_url']) . '"></a>';
	}
	echo '</div>';
}

add_action('intheme_footer_info', 'intheme_footer_text');
function intheme_footer_text() {
	global $intheme;
	intheme_social_profiles();
	echo '<p>' . wpautop(do_shortcode(intheme_sanitize($intheme['copyright_text']))) . '</p>';	
}

//add_action('wp_footer', 'intheme_inline_code_footer', 20);
function intheme_inline_code_footer() {
	global $intheme, $post;
	$btn = ( !empty($intheme['op_button_bgcolor_pre']) ) ? $intheme['op_button_bgcolor_pre'] : 'btn-primary';
	$meta = get_post_meta($post->ID, 'insta_editor', true);
	$edtype = ( !empty($meta['editor']) ) ? $meta['editor'] : 'flex';
		
?>
<script type="text/javascript">
jQuery(window).load(function(){
	var is_mobile = false;
	if ( screen.width <= 480 )
		is_mobile = true;
		
	var wrap_h = jQuery('#main').innerHeight();
	var sidebar_h = jQuery('#sidebar').outerHeight();
	var myHeight = wrap_h;
	
	if ( sidebar_h > wrap_h )
		myHeight = sidebar_h;
		
	if ( !is_mobile )
		jQuery('#main').find('.equal-height').css('min-height', myHeight + 'px');
		
});

jQuery(document).ready(function($){
	var curHeight = jQuery('#main').innerHeight(),
	fbHeight = jQuery('.insta-fb-comm').height(),
	newFbHeight, newHeight;
	
	$('.insta-fb-comm').each(function(){
		$(this).resize(function(e){
			newFbHeight = $(this).height();
			if ( fbHeight >= newFbHeight ) {
				newHeight = curHeight - (fbHeight - newFbHeight);
			} else if ( fbHeight < newFbHeight ) {
				newHeight = curHeight + (newFbHeight - fbHeight);
			}
			newHeight += 100;
			jQuery('#main').find('.equal-height').css('min-height', newHeight + 'px');
		});
	});
	
	/* Buttons */
	var selectors = '.entry-content button, .entry-content input[type="submit"], .entry-content input[type="button"], .entry-content input[type="reset"]';
	selectors += ' #respond button, #respond input[type="submit"], #respond input[type="button"], #respond input[type="reset"]';
	$(selectors).addClass('btn');
	$(selectors).addClass('<?php echo $btn; ?>');
});
</script>
<?php
}

add_action('wp_head', 'intheme_custom_head', 20);
function intheme_custom_head() {
	global $intheme;
	if ( empty($intheme['custom_head']) )
		return;
	
	echo intheme_sanitize($intheme['custom_head']);	
}

add_action('wp_footer', 'intheme_tracking_code', 21);
function intheme_tracking_code() {
	global $intheme;
	if ( empty($intheme['tracking_code']) )
		return;
	
	echo intheme_sanitize($intheme['tracking_code']);	
}

function intheme_numeric_posts_nav() {
	if( is_singular() )
		return;

	global $wp_query;

	/** Stop execution if there's only 1 page */
	if( $wp_query->max_num_pages <= 1 )
		return;

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $wp_query->max_num_pages );

	/**	Add current page to the array */
	if ( $paged >= 1 )
		$links[] = $paged;

	/**	Add the pages around the current page to the array */
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}

	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}

	echo '<div><ul class="pagination">' . "\n";

	/**	Previous Post Link */
	if ( get_previous_posts_link() )
		printf( '<li>%s</li>' . "\n", get_previous_posts_link( apply_filters( 'instatheme_prev_link_text', '&#x000AB;' . __( 'Previous Page', 'instatheme' ) ) ) );

	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';

		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );

		if ( !in_array( 2, $links ) )
			echo '<li>&#x02026;</li>';
	}

	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}

	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li>&#x02026;</li>' . "\n";

		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}

	/**	Next Post Link */
	if ( get_next_posts_link() )
		printf( '<li>%s</li>' . "\n", get_next_posts_link( apply_filters( 'instatheme_next_link_text', __( 'Next Page', 'instatheme' ) . '&#x000BB;' ) ) );

	echo '</ul></div>' . "\n";

}

function is_intheme_admin() {
	if ( is_user_logged_in() && current_user_can('manage_options') ) return true;

	return false;
}

function intheme_dump( $vars, $return = false ) {
	if ( $return )
		return '<pre>' . print_r($vars, true) . '</pre>';
	else
		echo '<pre>' . print_r($vars, true) . '</pre>';
}

function intheme_sanitize( $value ) {
	return trim(stripslashes($value));
}

add_filter('template_include', 'intheme_video_player_template');
function intheme_video_player_template( $template ) {
	global $post;
	if ( !is_singular() || empty($post) || !( isset($_GET['mode']) && $_GET['mode'] == 'insta_player' ) )
		return $template;
	
	$template = INTHEME_LIB . 'inc/player.php';
	return $template;
}

function intheme_normalfonts() {
	$fonts = array();
	$fonts['arial'] = array('name' => 'Arial', 'css' => "Arial, 'Helvetica Neue', Helvetica, sans-serif");
	$fonts['arial_black'] = array('name' => 'Arial Black', 'css' => "'Arial Black', 'Arial Bold', Gadget, sans-serif");
	$fonts['arial_narrow'] = array('name' => 'Arial Narrow', 'css' => "'Arial Narrow', Arial, sans-serif");
	$fonts['calibri'] = array('name' => 'Calibri', 'css' => "Calibri, Candara, Segoe, 'Segoe UI', Optima, Arial, sans-serif");
	$fonts['courier_new'] = array('name' => 'Courier New', 'css' => "'Courier New', Courier, 'Lucida Sans Typewriter', 'Lucida Typewriter', monospace");
	$fonts['georgia'] = array('name' => 'Georgia', 'css' => "Georgia, Times, 'Times New Roman', serif");
	$fonts['helvetica'] = array('name' => 'Helvetica', 'css' => "'Helvetica Neue', Helvetica, Arial, sans-serif");
	$fonts['impact'] = array('name' => 'Impact', 'css' => "Impact, Haettenschweiler, 'Franklin Gothic Bold', Charcoal, 'Helvetica Inserat', 'Bitstream Vera Sans Bold', 'Arial Black', sans serif");
	$fonts['tahoma'] = array('name' => 'Tahoma', 'css' => "Tahoma, Verdana, Segoe, sans-serif");
	$fonts['times_new_roman'] = array('name' => 'Times New Roman', 'css' => "TimesNewRoman, 'Times New Roman', Times, Baskerville, Georgia, serif");
	$fonts['trebuchet_ms'] = array('name' => 'Trebuchet MS', 'css' => "'Trebuchet MS', 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', Tahoma, sans-serif");
	$fonts['verdana'] = array('name' => 'Verdana', 'css' => "Verdana, Geneva, sans-serif");
	
	return $fonts;
}

function intheme_googlefonts() {
	$fonts = array();
	$fonts['abril_fatface'] = array('name' => 'Abril Fatface', 'css' => "'Abril Fatface', cursive");
	$fonts['arvo'] = array('name' => 'Arvo', 'css' => "'Arvo', serif");
	$fonts['bowlby_one'] = array('name' => 'Bowlby One', 'css' => "'Bowlby One', sans-serif");
	$fonts['cabin'] = array('name' => 'Cabin', 'css' => "'Cabin', sans-serif");
	$fonts['covered_by_your_grace'] = array('name' => 'Covered By Your Grace', 'css' => "'Covered By Your Grace', cursive");
	$fonts['dancing_script'] = array('name' => 'Dancing Script', 'css' => "'Dancing Script', cursive");
	$fonts['domine'] = array('name' => 'Domine', 'css' => "'Domine', serif");
	$fonts['droid_sans'] = array('name' => 'Droid Sans', 'css' => "'Droid Sans', sans-serif");
	$fonts['droid_serif'] = array('name' => 'Droid Serif', 'css' => "'Droid Serif', serif");
	$fonts['gloria_hallelujah'] = array('name' => 'Gloria Hallelujah', 'css' => "'Gloria Hallelujah', cursive");
	$fonts['lato'] = array('name' => 'Lato', 'css' => "'Lato', sans-serif");
	$fonts['lobster'] = array('name' => 'Lobster', 'css' => "'Lobster', cursive");
	$fonts['monofett'] = array('name' => 'Monofett', 'css' => "'Monofett', cursive");
	$fonts['mountains_of_christmas'] = array('name' => 'Mountains of Christmas', 'css' => "'Mountains of Christmas', cursive");
	$fonts['montserrat'] = array('name' => 'Montserrat', 'css' => "'Montserrat', sans-serif");
	$fonts['noto_sans'] = array('name' => 'Noto Sans', 'css' => "'Noto Sans', sans-serif");
	$fonts['nova_mono'] = array('name' => 'Nova Mono', 'css' => "'Nova Mono', cursive");
	$fonts['open_sans_condensed'] = array('name' => 'Open Sans Condensed', 'css' => "'Open Sans Condensed', sans-serif");
	$fonts['open_sans'] = array('name' => 'Open Sans', 'css' => "'Open Sans', sans-serif");
	$fonts['oswald'] = array('name' => 'Oswald', 'css' => "'Oswald', sans-serif");
	$fonts['pt_sans'] = array('name' => 'PT Sans', 'css' => "'PT Sans', sans-serif");
	$fonts['pt_serif'] = array('name' => 'PT Serif', 'css' => "'PT Serif', serif");
	$fonts['roboto'] = array('name' => 'Roboto', 'css' => "'Roboto', sans-serif");
	$fonts['rock_salt'] = array('name' => 'Rock Salt', 'css' => "'Rock Salt', cursive");
	$fonts['rokkitt'] = array('name' => 'Rokkitt', 'css' => "'Rokkitt', serif");
	$fonts['sansita_one'] = array('name' => 'Sansita One', 'css' => "'Sansita One', cursive");
	$fonts['source_sans_pro'] = array('name' => 'Source Sans Pro', 'css' => "'Source Sans Pro', sans-serif");
	$fonts['special_elite'] = array('name' => 'Special Elite', 'css' => "'Special Elite', cursive");
	$fonts['sue_ellen_francisco'] = array('name' => 'Sue Ellen Francisco', 'css' => "'Sue Ellen Francisco', cursive");
	$fonts['ubuntu'] = array('name' => 'Ubuntu', 'css' => "'Ubuntu', sans-serif");
	$fonts['vt323'] = array('name' => 'VT323', 'css' => "'VT323', cursive");
	$fonts['vollkorn'] = array('name' => 'Vollkorn', 'css' => "'Vollkorn', serif");
	
	return $fonts;
}

add_action('wp_head', 'intheme_editor_fonts');
function intheme_editor_fonts() {
		$googlefonts = intheme_googlefonts();
		
		$gfonts = array();
		foreach ( $googlefonts as $k => $v ) {
			$gfonts[] = "'{$v['name']}'";
		}
?>
<script src="//ajax.googleapis.com/ajax/libs/webfont/1.4.7/webfont.js"></script>
<script>
  WebFont.load({
    google: {
      families: [<?php echo implode(",", $gfonts); ?>]
    }
  });
</script>
<?php
}

add_action('wp_head', 'intheme_fbappid_var');
function intheme_fbappid_var() {
	if ( !is_singular() )
		return;
	
	global $intheme, $post;
	$fbappid = ( !empty($intheme['fb_appid']) ) ? esc_attr(intheme_sanitize($intheme['fb_appid'])) : '';
?>

<script type="text/javascript">
/* <![CDATA[ */
var insta_fbappid = '<?php echo $fbappid; ?>',
insta_permalink = '<?php echo get_permalink($post->ID); ?>',
insta_postid = <?php echo $post->ID; ?>,
insta_ajaxurl = '<?php echo add_query_arg('insta_page', 'ajax_mode', get_permalink($post->ID)); ?>';
/* ]]> */
</script>

<?php
}

add_action('template_redirect', 'intheme_fbchannel', 5);
function intheme_fbchannel() {
	$page = ( isset($_GET['insta_page']) ) ? $_GET['insta_page'] : '';
	if ( is_singular() && $page == 'facebook_channel' ) {
		$cache_expire = 60*60*24*365;
		header("Pragma: public");
		header("Cache-Control: max-age=" . $cache_expire);
		header('Expires: ' . gmdate('D, d M Y H:i:s', time()+$cache_expire) . ' GMT');
		 ?>
 		<script src="//connect.facebook.net/en_US/all.js"></script>
 		<?php
 		exit;
	}
}

add_filter('language_attributes', 'intheme_facebook_attribute', 100);
function intheme_facebook_attribute( $content ) {
	if ( preg_match( '/xmlns:fb="(.*)"/', $content ) )
		return $content;
		
	$content .= ' xmlns:fb="http://www.facebook.com/2008/fbml"';
	return $content;
}

add_action('intheme_before_container', 'intheme_facebook_jssdk');
function intheme_facebook_jssdk() {
	if ( is_singular() ) {
		global $intheme, $post;
		$fbappid = ( !empty($intheme['fb_appid']) ) ? esc_attr(intheme_sanitize($intheme['fb_appid'])) : '';
		
		if ( empty($fbappid) ) return;
?>
	<script type="text/javascript">
		jQuery(document).ready(function($){
			if ( $('#fb-root').length < 1 ) {
				$('body').prepend('<div id="fb-root"></div>');
			}
			
			$.ajaxSetup({ cache: true });
			$.getScript('//connect.facebook.net/en_US/all.js', function(){
			    FB.init({
					appId: insta_fbappid,
					channelUrl: '<?php echo add_query_arg('insta_page', 'facebook_channel', get_permalink($post->ID)); ?>',
			      	status : true,
  					cookie : true,
  					xfbml : true
			    });
			    
			    $('body').on('loadfbcomm', '.insta-fb-comm', function(){
			    	var fbwidth = $(this).parent().width();
			    	$(this).html('<div class="fb-comments" data-href="' + insta_permalink + '" data-numposts="10" data-migrated="1" data-width="' + fbwidth + '"></div>');
					FB.XFBML.parse();
			    });
			});
		});
	</script>
<?php		
	}
}

add_action('wp_head', 'intheme_note_hide');
function intheme_note_hide() {
	if ( !is_singular() || (isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true') ) return;
?>
<script type="text/javascript">
	jQuery(document).ready(function($){
		<?php if ( !intheme_member_logged_in() ) : ?>
		$('.insta-content-note').hide();
		<?php endif; ?>
		
		<?php if ( intheme_member_logged_in() ) : $m = intheme_currentmember(); $u = $m['username']; ?>
		$('.insta-note-username').val('<?php echo $u; ?>');
		<?php endif; ?>
	});
</script>
<?php
}

add_action('template_redirect', 'intheme_ajax_handler');
function intheme_ajax_handler() {
	global $post;
	
	$page = ( isset($_GET['insta_page']) ) ? $_GET['insta_page'] : '';
	if ( !is_singular() || empty($post) || $page != 'ajax_mode' )
		return;
	
	if ( isset($_REQUEST['action']) ) {
		$action = $_REQUEST['action'];
		do_action("insta_ajax_{$action}");
	}
	exit;
}

add_action('insta_ajax_save_note', 'intheme_ajax_save_note');
function intheme_ajax_save_note() {
	$content = intheme_sanitize($_REQUEST['content']);
	$content_id = $_REQUEST['content_id'];
	$post_id = $_REQUEST['post_id'];
	$username = $_REQUEST['username'];
	$notes = get_post_meta($post_id, 'insta_notes', true);
	if ( !is_array($notes) )
		$notes = array();
	
	$key = intheme_instamember() ? 'instamember' : 'wordpress';
	if ( $content_id ) {
		$note_id = $content_id;
	} else {
		$note_id = isset($notes[$key][$username]) ? count($notes[$key][$username]) + 1 : 1;
		do {
			$i = 1;
			$note_id = $note_id + $i;
			$i++;
		} while ( isset($notes[$key][$username][$note_id]) );
	}
	$notes[$key][$username][$note_id] = array('note_id' => $note_id, 'content' => $content, 'date' => date("F d, Y g:i:a"));
	update_post_meta($post_id, 'insta_notes', $notes);
	echo $note_id . '|' . date("F d Y g:i:a") . '|' . esc_textarea($content);
}

add_action('insta_ajax_delete_note', 'intheme_ajax_delete_note');
function intheme_ajax_delete_note() {
	$content_id = $_REQUEST['content_id'];
	$post_id = $_REQUEST['post_id'];
	$username = $_REQUEST['username'];
	$notes = get_post_meta($post_id, 'insta_notes', true);
	if ( !is_array($notes) )
		$notes = array();
	
	$key = intheme_instamember() ? 'instamember' : 'wordpress';
	$note_id = $content_id;

	if ( isset($notes[$key][$username][$note_id]) ) {
		unset($notes[$key][$username][$note_id]);
	}
	
	update_post_meta($post_id, 'insta_notes', $notes);
	echo 'OK';
}

add_action('wp_footer', 'intheme_note_process');
function intheme_note_process() {
	if ( !is_singular() || !intheme_member_logged_in() || (isset($_GET['insta_editor']) && $_GET['insta_editor'] == 'true') ) return;
	global $post;
	
	$notes = get_post_meta($post->ID, 'insta_notes', true);
	$key = intheme_instamember() ? 'instamember' : 'wordpress';
	$m = intheme_currentmember();
	$u = $m['username'];
	$mynotes = ( isset($notes[$key]) && isset($notes[$key][$u]) ) ? $notes[$key][$u] : 0;
	$mynotes = ( is_array($mynotes) ) ? array_reverse($mynotes) : $mynotes;
	
?>
<script type="text/javascript">
	jQuery(document).ready(function($){
		var mynotes = '';
		<?php if ( $mynotes ) : ?>
			<?php foreach ( $mynotes as $note ) : if ( is_array($note) ) : ?>
				
				mynotes += '<div class="insta-note-entry insta-note-entry-<?php echo $note['note_id']; ?>">';
				mynotes += '<div class="insta-note-text" data-note-id="<?php echo $note['note_id']; ?>"><?php echo addslashes(esc_textarea(intheme_sanitize($note['content']))); ?></div>';
				mynotes += '<div class="insta-note-date">';
				mynotes += '<div class="insta-note-btns"><button type="button" class="btn insta-edit-note">Edit</button> <button type="button" class="btn btn-danger insta-delete-note">Delete</button></div>';
				mynotes += '<span class="insta-note-date-txt">Last Edited <?php echo $note['date']; ?></span>';
				mynotes += '</div>';
				mynotes += '</div>';
				
			<?php endif; endforeach; ?>
			$('.insta-note-entries').html(mynotes);
		<?php endif; ?>
		
		$('body').on('click', '.insta-edit-note', function(e){
			var $this = $(this),
			note = $this.parent().parent().parent().find('.insta-note-text').html();
			
			$('.insta-note-editor-field').val(note);
			$('.insta-note-editor-title').text("Edit Note");
			var note_id = $this.parent().parent().parent().find('.insta-note-text').data('noteId');
			$('.insta-note-contentid').val(note_id);
		});
		
		$('body').on('click', '.insta-delete-note', function(e){
			var $this = $(this),
			uname = $('.insta-note-username').val(),
			postid = $('.insta-note-postid').val(),
			contentid = $this.parent().parent().parent().find('.insta-note-text').data('noteId');
			
			e.preventDefault();
			
			if ( confirm("Are you sure you want to delete this note?") ) {
				$this.addClass('disabled');
				$this.text('Deleting...');
				
				var data = {
					action: 'delete_note',
					username: uname,
					post_id: postid,
					content_id: contentid 
				};
			
				$.post(insta_ajaxurl, data, function( response ){
					$this.removeClass('disabled');
					$this.text('Delete');
					$('.insta-note-entry-' + contentid).remove();
				});
				
			} else {
				return false;
			}
		});
		
		$('body').on('click', '.insta-save-note', function(e){
			var $this = $(this),
			note = $this.parent().parent().find('.insta-note-editor-field').val(),
			uname = $('.insta-note-username').val(),
			postid = $('.insta-note-postid').val(),
			contentid = $('.insta-note-contentid').val();
						
			$this.addClass('disabled');
			$this.text('Saving...');
			
			var data = {
				action: 'save_note',
				content: note,
				username: uname,
				post_id: postid,
				content_id: contentid 
			};
			
			$.post(insta_ajaxurl, data, function( response ){
				var res = response.split("|");
				var html = '';
				if ( contentid != "0" ) {
					html += '<div class="insta-note-text" data-note-id="' + res[0] + '">' + res[2] + '</div>';
					html += '<div class="insta-note-date">';
					html += '<div class="insta-note-btns"><button type="button" class="btn insta-edit-note">Edit</button> <button type="button" class="btn btn-danger insta-delete-note">Delete</button></div>';
					html += '<span class="insta-note-date-txt">Last Edited ' + res[1] + '</span>';
					html += '</div>';
					
					$('.insta-note-entry-' + res[0]).html(html);
					$('.insta-note-editor-title').text("Add Note");
					$('.insta-note-contentid').val(0);
				} else {
					html += '<div class="insta-note-entry insta-note-entry-' + res[0] + '">';
					html += '<div class="insta-note-text" data-note-id="' + res[0] + '">' + res[2] + '</div>';
					html += '<div class="insta-note-date">';
					html += '<div class="insta-note-btns"><button type="button" class="btn insta-edit-note">Edit</button> <button type="button" class="btn btn-danger insta-delete-note">Delete</button></div>';
					html += '<span class="insta-note-date-txt">Last Edited ' + res[1] + '</span>';
					html += '</div>';
					html += '</div>';
					
					$('.insta-note-entries').prepend(html);
				}
				
				$this.parent().parent().find('.insta-note-editor-field').val('');
				$this.removeClass('disabled');
				$this.text('Save Note');
			});
		});
	});
</script>
<?php
}

function intheme_get_graphic_dirs() {
	$dirs = false;
	$dir_path = INTHEME_PATH . '/assets/img/graphics/';
	if ( is_dir($dir_path) ) :
		if ( $tmp_dir = opendir($dir_path) ) :
			while ( ( $dir = readdir($tmp_dir) ) !== false ) :
				if ( $dir == '.' || $dir == '..' || !is_dir($dir_path . $dir . '/') ) continue;
				
				if ( !is_array($dirs) ) 
					$dirs = array();
				
				$dirs[] = $dir;
			endwhile;
		endif;
	endif;
	return $dirs;
}

function intheme_get_graphics( $type = 'bullets' ) {
	$graphics = false;
	$graphic_path = INTHEME_PATH . '/assets/img/graphics/' . $type . '/';
	if ( is_dir($graphic_path) ) :
		if ( $tmp_dir = opendir($graphic_path) ) :
			while ( ( $graphic = readdir($tmp_dir) ) !== false ) :
				$exts = array('png', 'jpg', 'jpeg', 'gif');
				$parts = explode(".", $graphic);
				$ext = end($parts);
				if ( $graphic == '.' || $graphic == '..' || !in_array(strtolower($ext), $exts) ) continue;
				
				if ( !is_array($graphics) ) 
					$graphics = array();
				
				$graphics[] = $graphic;
			endwhile;
		endif;
	endif;
	return $graphics;
}

add_filter('walker_nav_menu_start_el', 'intheme_protect_menu', 99, 4);
function intheme_protect_menu( $item_output, $item, $depth, $args ) {
	if ( !intheme_instamember() || !isset($item->products) || empty($item->products) ) return $item_output;
	if ( is_array($item->products) && count($item->products) < 1 ) return $item_output;
	
	if ( !intheme_member_logged_in() ) $item_output = '';
	
	$m = intheme_currentmember();
	$has_access = false;
	foreach ( $item->products as $product_id ) {
		if ( stms_member_has_access($m['ID'], $product_id) ) {
			$has_access = true;
			break;
		}
	}
	
	if ( !$has_access ) $item_output = '';
	return $item_output;
}

function instatheme_custom_comments( $comment, $args, $depth ) {
    $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	    <div id="comment-<?php comment_ID(); ?>" class="comment-body clearfix">
			<div class="avatar-container">
				<div class="avatar-box">
					<?php echo get_avatar( $comment, $size='56' ); ?>
					<span class="avatar-overlay"></span>
				</div> <!-- end .avatar-box -->
				<span class="comment-date"><?php comment_date('n-j-Y'); ?></span>
			</div> <!-- end .avatar-container -->

			<div class="comment-container">
				<div class="comment-wrap clearfix">
					<div class="comment-meta commentmetadata"><?php printf('<span class="fn">%s</span> says:', get_comment_author_link()) ?> <?php edit_comment_link(esc_html__('(edit)','instatheme'),'  ','') ?></div>

					<?php if ($comment->comment_approved == '0') : ?>
						<em class="moderation"><?php esc_html_e('Your comment is awaiting moderation.', 'instatheme') ?></em>
						<br />
					<?php endif; ?>

					<div class="comment-content"><?php comment_text() ?></div> <!-- end comment-content-->
					<?php
						$intheme_reply_link = get_comment_reply_link( array_merge( $args, array('reply_text' => esc_attr__('Reply', 'instatheme'),'depth' => $depth, 'max_depth' => $args['max_depth'])) );
						if ( $intheme_reply_link ) echo '<div class="reply-container btn btn-warning btn-xs">' . $intheme_reply_link . '</div>';
					?>
				</div> <!-- end .comment-wrap-->
			</div> <!-- end .comment-container-->

			<div class="comment-arrow"></div>
		</div> <!-- end .comment-body-->
<?php }

add_action('wp_head', 'intheme_global_custom_css', 100);
function intheme_global_custom_css() {
	global $intheme;
	
	if ( !is_array($intheme) )
		return;
	
	$data = $intheme;
	
	$custom_body = isset($data['custom_body']) ? $data['custom_body'] : 0;
	$header_bgcolor = intheme_sanitize($data['header_bgcolor']);
	$custom_header = $data['custom_header'];

?>

<style type="text/css">
<?php if ( $custom_body ) : 
	if ( !empty($data['body_image']) ) {
?> 

body {
	background: <?php echo $data['body_bgcolor']; ?> url('<?php echo intheme_sanitize($data['body_image']); ?>') <?php echo intheme_sanitize($data['body_image_pos']); ?> <?php echo intheme_sanitize($data['body_image_rep']); ?> <?php echo intheme_sanitize($data['body_image_att']); ?> !important;
}

<?php
	} else {	
?>
body {
	background-color: <?php echo $data['body_bgcolor']; ?> !important;
}
<?php
	}
endif;
	
if ( $custom_header && !empty($data['header_image']) && isset($data['header_image_pos']) ) : ?>

.navbar-inverse,
.navbar-default,
.masthead {
	background: <?php echo $header_bgcolor; ?> url('<?php echo intheme_sanitize($data['header_image']); ?>') <?php echo intheme_sanitize($data['header_image_pos']); ?> <?php echo intheme_sanitize($data['header_image_rep']); ?> !important;
}

<?php 
	endif;
?>
</style>
<?php
}

add_action('wp_footer', 'intheme_responsive_video_embed');
function intheme_responsive_video_embed() {
?>
<script type="text/javascript">
	jQuery(window).resize(function(){
		var iframe = jQuery('.insta-video-container iframe'),
		c_width = jQuery('.entry-content').innerWidth(),
		width = iframe.attr('width'),
		height = iframe.attr('height');
		
		var ratio = ( height / width ),
		maxWidth = ( width > c_width ) ? c_width : width,
		newWidth = c_width;
		if ( newWidth > maxWidth )
			newWidth = maxWidth;
			
		newHeight = Math.ceil(newWidth * 0.5625);
			
		iframe.css({
			'max-width' : width + 'px !important',
			'width' : newWidth + 'px !important',
			'height' : newHeight + 'px !important'
		});
	}).resize();
</script>
<?php
}

add_action('wp_footer', 'intheme_child_menus');
function intheme_child_menus() {
?>
<script type="text/javascript">
	jQuery(document).ready(function($){
		$('.dropdown-toggle').each(function(){
			$(this).click(function(e){
				var url = $(this).attr('href');
				location.href = url;
			});
		});
		
		$('.submenu-toggle').parent().mouseenter(function(){
			$(this).find('.sidebar-child-menu').slideDown("medium");
		});
		
		$('.submenu-toggle').parent().mouseleave(function(){
			$(this).find('.sidebar-child-menu').slideUp("medium");
		});
	});
</script>
<?php
}

/*
function intheme_responsive_video_embed() {
?>
<script type="text/javascript">
jQuery(document).ready(function($){
	var iframe = $('.insta-video-container iframe');
	var width = iframe.attr('width');
	var height = iframe.attr('height');
	
	iframe.wrap('<div class="insta-iframe-video-wrap"></div>');
	
	if ( iframe.length ) {
		width = parseInt(width);
		height = parseInt(height);
		
		var ratio = ( height / width ) * 100;
		iframe.css({
			'position': 'absolute',
			'display': 'inline-block',
			'text-align': 'center',
			'top': '0',
			'left': '0',
			'width': '100%',
			'max-width': '100%',
			'height': '100%'
		});
		
		$('.insta-iframe-video-wrap').css({
			'width': width + 'px',
			'height': height + 'px',
			'max-width': '100%',
			'position':'relative',
			'padding-top': ratio + '%'
		});
		
		$('.insta-video-container').css({
			'width': width + 'px',
			'height': height + 'px',
			'max-width': '100%'
		});
	}
});
</script>
<?php	
}
*/

/* Navigation Class */
if ( !class_exists('instatheme_nav_menu_walker') ) :
class instatheme_nav_menu_walker extends Walker_Nav_Menu {
    // add classes to ul sub-menus
	function start_lvl( &$output, $depth ) {
	    // depth dependent classes
	    $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' ); // code indent
	    $display_depth = ( $depth + 1); // because it counts the first submenu as 0
	    $classes = array(
	        'dropdown-menu',
	        ( $display_depth % 2  ? 'menu-odd' : 'menu-even' ),
	        ( $display_depth >=2 ? 'sub-sub-menu' : '' ),
	        'menu-depth-' . $display_depth
	    );
	    $class_names = implode( ' ', $classes );
	  
	    // build html
	    $output .= "\n" . $indent . '<ul class="' . $class_names . '">' . "\n";
	}
	
	// add main/sub classes to li's and links
    function start_el( &$output, $item, $depth, $args ) {
		global $wp_query;
    	$indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' ); // code indent
  
	    // depth dependent classes
	    $depth_classes = array(
	        ( $depth == 0 ? 'main-menu-item' : 'sub-menu-item' ),
	        ( $depth >= 2 ? 'sub-sub-menu-item' : '' ),
	        ( $depth % 2 ? 'menu-item-odd' : 'menu-item-even' ),
	        'menu-item-depth-' . $depth
	    );
    	$depth_class_names = esc_attr( implode( ' ', $depth_classes ) );
	
		// passed classes
    	$classes = empty( $item->classes ) ? array() : (array) $item->classes;
    	$class_names = esc_attr( implode( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) ) );
			
		// build html
    	$output .= $indent . '<li id="menu-item-'. $item->ID . '" class="' . $depth_class_names . ' ' . $class_names . '">';
	
        $attributes  = '';
        $attributes .= !empty($item->attr_title) ? ' title="'  . esc_attr($item->attr_title) . '"' : '';
        $attributes .= !empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';
        $attributes .= !empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
		$attributes .= !empty($item->url) ? ' href="' . esc_attr($item->url) .'"' : '';
		$attributes .= ( 0 == $depth && in_array('dropdown', $classes) ) ? ' class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="500" data-close-others="false"' : '';
		//$attributes .= ' class="menu-link ' . ( $depth > 0 ? 'sub-menu-link' : 'main-menu-link' ) . '"';
		
        // Insert description for top level elements only
        $description = ( !empty($item->description) and 0 == $depth ) ? '<small class="nav_desc">' . esc_attr( $item->description ) . '</small>' : '';
        $title = apply_filters( 'the_title', $item->title, $item->ID );
        //$icon = ( !empty( $item->icon ) and 0 == $depth ) ? '<img src="' . esc_attr( $item->icon ) . '" alt="'.$title.'">' : '';
		$caret = ( 0 == $depth && in_array('dropdown', $classes) ) ? ' <b class="caret"></b>' : '';
		
		$icon = '';
		if ( 0 == $depth ) {
			if ( !empty($item->icon) ) {
				$icon = '<img src="' . esc_attr( $item->icon ) . '" alt="'.$title.'" />';
			} else {
				$icon = '<img src="' . INTHEME_IMAGES . '1.png" width="1" height="24" />';
			}
		}

        $item_output = $args->before
            . "<a $attributes>"
            . $icon
 			. $args->link_before
            . $title
            . $caret
            . '</a>'
            . $args->link_after
            //. $description
            . $args->after;
	
        // Since $output is called by reference we don't need to return anything.
        $output .= apply_filters(
			'walker_nav_menu_start_el',
			$item_output,
			$item,
			$depth,
			$args
        );
    }
}
endif;

if ( !class_exists('instatheme_sidebar_menu_walker') ) :
class instatheme_sidebar_menu_walker extends Walker_Nav_Menu {
    // add classes to ul sub-menus
	function start_lvl( &$output, $depth ) {
	    // depth dependent classes
	    $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' ); // code indent
	    $display_depth = ( $depth + 1); // because it counts the first submenu as 0
	    $classes = array(
	        'sidebar-child-menu',
	        ( $display_depth % 2  ? 'menu-odd' : 'menu-even' ),
	        ( $display_depth >=2 ? 'sub-sub-menu' : '' ),
	        'menu-depth-' . $display_depth
	    );
	    $class_names = implode( ' ', $classes );
	  
	    // build html
	    $output .= "\n" . $indent . '<ul class="' . $class_names . '">' . "\n";
	}
	
	// add main/sub classes to li's and links
    function start_el( &$output, $item, $depth, $args ) {
		global $wp_query;
    	$indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' ); // code indent
  
	    // depth dependent classes
	    $depth_classes = array(
	        ( $depth == 0 ? 'main-menu-item' : 'sub-menu-item' ),
	        ( $depth >= 2 ? 'sub-sub-menu-item' : '' ),
	        ( $depth % 2 ? 'menu-item-odd' : 'menu-item-even' ),
	        'menu-item-depth-' . $depth
	    );
    	$depth_class_names = esc_attr( implode( ' ', $depth_classes ) );
	
		// passed classes
    	$classes = empty( $item->classes ) ? array() : (array) $item->classes;
    	$class_names = esc_attr( implode( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) ) );
			
		// build html
    	$output .= $indent . '<li id="menu-item-'. $item->ID . '" class="' . $depth_class_names . ' ' . $class_names . '">';
	
        $attributes  = '';
        $attributes .= !empty($item->attr_title) ? ' title="'  . esc_attr($item->attr_title) . '"' : '';
        $attributes .= !empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';
        $attributes .= !empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
		$attributes .= !empty($item->url) ? ' href="' . esc_attr($item->url) .'"' : '';
		$attributes .= ( 0 == $depth && in_array('dropdown', $classes) ) ? ' class="submenu-toggle"' : '';
		//$attributes .= ' class="menu-link ' . ( $depth > 0 ? 'sub-menu-link' : 'main-menu-link' ) . '"';
		
        // Insert description for top level elements only
        $description = ( !empty($item->description) and 0 == $depth ) ? '<small class="nav_desc">' . esc_attr( $item->description ) . '</small>' : '';
        $title = apply_filters( 'the_title', $item->title, $item->ID );
        $icon = ( !empty( $item->icon ) and 0 == $depth ) ? '<img src="' . esc_attr( $item->icon ) . '" alt="'.$title.'">' : '';
		$caret = ( 0 == $depth && in_array('dropdown', $classes) ) ? ' <b class="caret pull-right"></b>' : '';
		
        $item_output = $args->before
            . "<a $attributes>"
            . $icon
 			. $args->link_before
            . $title
            . $caret
            . '</a>'
            . $args->link_after
            //. $description
            . $args->after;
	
        // Since $output is called by reference we don't need to return anything.
        $output .= apply_filters(
			'walker_nav_menu_start_el',
			$item_output,
			$item,
			$depth,
			$args
        );
    }
}
endif;
