<?php
add_filter('intheme_main_cols', 'instalight_main_cols');
function instalight_main_cols( $content ) {
	return 'col-sm-9 col-md-9 col-lg-9';
}
add_filter('intheme_side_cols', 'instalight_side_cols');
function instalight_side_cols( $content ) {
	return 'col-sm-3 col-md-3 col-lg-3';
}
add_action('intheme_before_container', 'instalight_container_open');
function instalight_container_open() {
	echo "\t<div class='container'>\n";
}
add_action('intheme_after_container', 'instalight_container_close');
function instalight_container_close() {
	echo "\t\n</div ><!-- main container -->\n";
}
add_filter('intheme_container_type', 'instalight_container_type');
function instalight_container_type( $content ) {
	return '';
}
add_filter('intheme_row_type', 'instalight_row_type');
function instalight_row_type( $content ) {
	return '';
}
add_filter('intheme_container_height', 'instalight_container_height');
function instalight_container_height( $content ) {
	return '';
}
add_filter('intheme_row_height', 'instalight_row_height');
function instalight_row_height( $content ) {
	return '';
}
add_filter('intheme_same_height', 'instalight_same_height');
function instalight_same_height( $content ) {
	return '';
}
add_action('intheme_header', 'instalight_header');
function instalight_header() {
	global $intheme;
	$logo = ( !empty($intheme['logo']) ) ? '<img src="' . intheme_sanitize($intheme['logo']) . '" border="0" />' : get_bloginfo('name');
?>
	<nav class="navbar navbar-inverse" role="navigation">
		  	<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				  	<span class="sr-only">Toggle navigation</span>
	                <span class="icon-bar"></span>
	                <span class="icon-bar"></span>
	                <span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php echo $logo; ?></a>
		  	</div><!-- /.navbar-header -->
	
			
			<!-- Collect the nav links, forms, and other content for toggling -->
			<div class="navbar-collapse collapse">
				<?php intheme_top_menu(); ?>
				<?php
				if ( intheme_member_logged_in() ) :
					$member = intheme_currentmember();
					$profile_url = ( intheme_instamember() && function_exists('stms_get_handler_url') ) ? stms_get_handler_url('profile') : admin_url('profile.php');
					$logout_url = ( intheme_instamember() && function_exists('stms_get_handler_url') ) ? stms_get_handler_url('logout') : wp_logout_url();
				
					global $lldocroot;
					$configFileName = $lldocroot . "/dap/dap-config.php";
					$is_dap = false;
					if ( !intheme_instamember() && file_exists($configFileName) ) {
						$logout_url = "/dap/logout.php";
						$is_dap = true;
					}
				?>
				<ul class="nav navbar-nav navbar-right">
					<li><a href="#" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="500" data-close-others="false"><?php echo get_avatar($member['email'], 24); ?>&nbsp;&nbsp;Hi, <?php echo $member['display_name']; ?> <b class="caret"></b></a>
						<ul class="dropdown-menu">
							<?php if ( !$is_dap ) : ?><li><a href="<?php echo $profile_url; ?>"><i class="icon-edit"></i> <?php _e('Profile', 'instatheme'); ?></a></li><?php endif; ?>
							<li><a href="<?php echo $logout_url; ?>"><i class="icon-signout"></i> <?php _e('Logout', 'instatheme'); ?></a></li>
						</ul>
					</li>
				</ul>
				<?php endif; ?>
			</div><!-- /.navbar-collapse -->
	</nav>

<?php
}

add_action('intheme_top_menu', 'instalight_top_menu');
function instalight_top_menu() {
	$location = ( intheme_member_logged_in() ) ? 'menu-2' : 'menu-1';
	$args = array(
		'theme_location' => $location,
		'container' => '',
		'menu_id' => 'member-menu',
		'menu_class' => 'menu nav navbar-nav',
		'walker' => new instatheme_nav_menu_walker
	);
	if ( has_nav_menu($location) ) wp_nav_menu($args);
}

add_action('intheme_before_widgets', 'instalight_member_profile', 5);
function instalight_member_profile() {
	return '';
}

add_action('intheme_sidebar_menu', 'instalight_sidebar_menu');
function instalight_sidebar_menu() {
	if ( !intheme_member_logged_in() ) return;
	$args = array(
		'theme_location' => 'menu-5',
		'container' => 'div',
		'container_class' => 'member_menu_sidebar',
		'menu_id' => '',
		'menu_class' => 'list',
		'depth' => 2,
		'walker' => new instatheme_sidebar_menu_walker
	);
	
	if ( has_nav_menu('menu-5') ) {
		wp_nav_menu($args);
	}
}

add_action('intheme_member_menu', 'instalight_member_menu');
function instalight_member_menu() {
	if ( !intheme_member_logged_in() ) return;
	$args = array(
		'theme_location' => 'menu-6',
		'container' => '',
		'container_id' => '',
		'container_class' => '',
		'menu_id' => 'menutop',
		'menu_class' => 'menutop',
		'depth' => 1,
		'walker' => new instalight_nav_menu_walker
	);
	if ( has_nav_menu('menu-6') ) wp_nav_menu($args);
}

/* Navigation Class */
if ( !class_exists('instalight_nav_menu_walker') ) :
class instalight_nav_menu_walker extends Walker_Nav_Menu {
    // add classes to ul sub-menus
	function start_lvl( &$output, $depth ) {
	    // depth dependent classes
	    $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' ); // code indent
	    $display_depth = ( $depth + 1); // because it counts the first submenu as 0
	    $classes = array(
	        'dropdown-menu',
	        ( $display_depth % 2  ? 'menu-odd' : 'menu-even' ),
	        ( $display_depth >=2 ? 'sub-sub-menu' : '' ),
	        'menu-depth-' . $display_depth
	    );
	    $class_names = implode( ' ', $classes );
	  
	    // build html
	    $output .= "\n" . $indent . '<ul class="' . $class_names . '">' . "\n";
	}
	
	// add main/sub classes to li's and links
    function start_el( &$output, $item, $depth, $args ) {
		global $wp_query;
    	$indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' ); // code indent
  
	    // depth dependent classes
	    $depth_classes = array(
	        ( $depth == 0 ? 'main-menu-item' : 'sub-menu-item' ),
	        ( $depth >= 2 ? 'sub-sub-menu-item' : '' ),
	        ( $depth % 2 ? 'menu-item-odd' : 'menu-item-even' ),
	        'menu-item-depth-' . $depth
	    );
    	$depth_class_names = esc_attr( implode( ' ', $depth_classes ) );
	
		// passed classes
    	$classes = empty( $item->classes ) ? array() : (array) $item->classes;
    	$class_names = esc_attr( implode( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) ) );
			
		// build html
    	$output .= $indent . '<li id="menu-item-'. $item->ID . '" class="' . $depth_class_names . ' ' . $class_names . '">';
	
        $attributes  = '';
        $attributes .= !empty($item->attr_title) ? ' title="'  . esc_attr($item->attr_title) . '"' : '';
        $attributes .= !empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';
        $attributes .= !empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
		$attributes .= !empty($item->url) ? ' href="' . esc_attr($item->url) .'"' : '';
		$attributes .= ( 0 == $depth && in_array('dropdown', $classes) ) ? ' class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="500" data-close-others="false"' : '';
		//$attributes .= ' class="menu-link ' . ( $depth > 0 ? 'sub-menu-link' : 'main-menu-link' ) . '"';
		
        // Insert description for top level elements only
        $description = ( !empty($item->description) and 0 == $depth ) ? '<small class="nav_desc">' . esc_attr( $item->description ) . '</small>' : '';
        $title = apply_filters( 'the_title', $item->title, $item->ID );
        $icon = ( !empty( $item->icon ) and 0 == $depth ) ? '<img src="' . esc_attr( $item->icon ) . '" alt="'.$title.'">' : '';
		$caret = ( 0 == $depth && in_array('dropdown', $classes) ) ? ' <b class="caret"></b>' : '';
		
        $item_output = $args->before
            . "<a $attributes>"
            . $icon
 			. $args->link_before
            . $title
            . $caret
            . '</a>'
            . $args->link_after
            //. $description
            . $args->after;
	
        // Since $output is called by reference we don't need to return anything.
        $output .= apply_filters(
			'walker_nav_menu_start_el',
			$item_output,
			$item,
			$depth,
			$args
        );
    }
}
endif;

if ( !function_exists('external_dynamic_css') ) :
add_action('wp_head', 'external_dynamic_css', 98);
function external_dynamic_css() {
	global $intheme;
	
	if ( !is_array($intheme) )
		return;
	
	$data = $intheme;
	$theme_color = intheme_sanitize($data['theme_color']);
	if ( empty($theme_color) ) {
		// use default color;
		$theme_color = '#b44400';
	}
	$content_bgcolor = ( !empty($data['content_bgcolor']) ) ? intheme_sanitize($data['content_bgcolor']) : $data['content_bgcolor_pre'];
	$header_bgcolor = intheme_sanitize($data['header_bgcolor']);
	
	$custom_header = $data['custom_header'];
	$custom_footer = $data['custom_footer'];
	$custom_sidebar = $data['custom_sidebar'];
	$custom_link = $data['custom_link'];
	$custom_content = $data['custom_content'];
	
	$ia_background = !empty($data['stripebar_background']) ? $data['stripebar_background'] : '#fcf8e3';
	$ia_color = !empty($data['stripebar_color']) ? $data['stripebar_color'] : '#c09853';
	$ia_border = !empty($data['stripebar_border']) ? $data['stripebar_border'] : '#c09853';
	
?>
<style type="text/css">
/* InstaAttention */
.woahbar,
.woahbar-inner,
.show-notify {
	background-color: <?php echo $ia_background; ?>;
	color: <?php echo $ia_color; ?>;
	border-color: <?php echo $ia_border; ?> !important;
}

.woahbar a,
.woahbar-inner a {
	color: <?php echo $ia_color; ?> !important;
	text-decoration:none;
}
.woahbar a:hover,
.woahbar-inner a:hover {
	border-bottom:none !important;
	text-decoration:none !important;
}

<?php 
$enable_hh = ( !empty($data['enable_header_height']) ) ? $data['enable_header_height'] : 0;
$header_height = ( !empty($data['header_height']) ) ? $data['header_height'] : '';
	
if ( !empty($header_height) && $enable_hh ) : 
	$logo_height = $header_height - 12; 
	$padding_top = ceil(($header_height*25)/100);
?>

/* Header */
.navbar-inverse {
	min-height: <?php echo $header_height; ?>px;
}
.navbar-inverse .navbar-brand img {
	max-height: <?php echo $logo_height; ?>px;
}

/* navbar links */
.navbar-inverse .nav > li > a,
.navbar-inverse .nav > li > a.dropdown-toggle {
	padding-top: <?php echo $padding_top; ?>px;
	height: <?php echo $header_height; ?>px;
}

<?php endif; ?>

/* Main Color Theme */
#menutop li:hover,
#menutop li.current-menu-item,
#back-top a:hover {
	background-color: <?php echo $theme_color; ?>;
}

.pagination a { color: <?php echo $theme_color; ?>; }
.navbar-default,
#menutop li:hover,
#menutop li.current-menu-item {
	border-color: <?php echo $theme_color; ?>;
}

<?php if ( $custom_content ) : ?>
/* Content Background Color */
.site-content { background-color: <?php echo $content_bgcolor; ?>; }
<?php endif; // custom content ?>

<?php if ( $custom_link ) : ?>
/* Link Color */
a { color: <?php echo intheme_sanitize($data['textlink_color']); ?>; }
a:hover { color: <?php echo intheme_sanitize($data['textlink_colorhover']); ?>; }
<?php endif; // custom link ?>

<?php if ( $custom_sidebar ) : ?>
/* Sidebar Background */
#sidebar { background-color: <?php echo intheme_sanitize($data['sidebar_bgcolor']); ?>; }
<?php endif; // custom sidebar ?>

<?php if ( $custom_header ) : ?>
/* Header Background */
.navbar-inverse, .navbar-default { background-color: <?php echo $header_bgcolor; ?>; }
<?php if ( !empty($data['header_image']) ) : ?>
.navbar-inverse, .navbar-default {
	background: <?php echo $header_bgcolor; ?> url('<?php echo intheme_sanitize($data['header_image']); ?>') top left repeat !important;
}
<?php endif; ?>

/* Header Text Color */
.navbar-default,
.navbar-default .nav > li > a,
.navbar-default .nav > li > a.dropdown-toggle,
.navbar-default .navbar-brand,
.navbar-inverse,
.navbar-inverse .nav > li > a,
.navbar-inverse .nav > li > a.dropdown-toggle,
.navbar-inverse .navbar-brand {
	color: <?php echo intheme_sanitize($data['header_fontcolor']); ?>;
}

<?php endif; // custom header ?>

<?php if ( $custom_footer ) : ?>
/* Footer Background Color */
#site-footer { background-color: <?php echo intheme_sanitize($data['footer_bgcolor']); ?>; }
/* Footer Text Color */
#site-footer,
#site-footer .menufooter li a,
#site-footer a {
	color: <?php echo intheme_sanitize($data['footer_fontcolor']); ?>;
}
<?php endif; // custom footer ?>

<?php if ( !empty($intheme['custom_css']) ) : ?>
/* Custom CSS */
<?php echo esc_html(intheme_sanitize($intheme['custom_css'])); ?>
<?php endif; ?>

</style>
<?php	
}
endif;