<?php
/**
 * The Template for displaying all single posts.
 *
 * @package InstaTheme
 *
 */
get_header(); // Get header template
$metaibt_fullwidth = get_post_meta($post->ID, 'metaibt_fullwidth', true);
$nosidebar = ( ($intheme['template'] == 'instaglow' || $intheme['template'] == 'instabeauty' ) && ($metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None') ) ? true : false;
$width_class = ( $nosidebar ) ? ' style="width:960px; margin-left: auto; margin-right:auto"' : '';
$cols = apply_filters('intheme_main_cols', 'col-sm-10 col-md-10 col-lg-10');
$content_width = ( $metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None' ) ? 'col-md-12' : $cols;
$content_class = ( $intheme['sidebar_position'] == 'Left' ) ? ' content-left' : ' content-right';
if ( $metaibt_fullwidth != 1 && $intheme['sidebar_position'] == 'Left' ) get_sidebar(); // Get left sidebar
$fullwidth_class = ( $metaibt_fullwidth == 1 || $intheme['sidebar_position'] == 'None' ) ? '' : apply_filters('intheme_same_height', 'col-sm-height col-md-height col-lg-height');
?>

	<div id="primary" class="<?php echo $content_width; ?> col-top <?php echo $fullwidth_class; ?> site-content equal-height<?php echo $content_class; ?>">
		<div id="post" role="main">
			<?php
				intheme_member_welcome();
				while ( have_posts() ) : the_post();
					get_template_part( 'content', get_post_format() );
					
					if ( $nosidebar )
						echo "<div{$width_class}>";

					comments_template();
					if ( $nosidebar )
						echo "</div>"; 
				endwhile;
			?>
		</div><!-- post -->
	</div><!-- primary -->

<?php
if ( $metaibt_fullwidth != 1 && $intheme['sidebar_position'] == 'Right' ) get_sidebar(); // Get right sidebar
get_footer(); // Get footer template