<?php
/*
Template Name: Blank Template
*/
global $intheme;
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php 
wp_head(); 
if ( !empty($intheme['favicon']) )
	echo "<link rel='shortcut icon' href='" . intheme_sanitize($intheme['favicon']) . "' />";
?>
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
<![endif]-->
</head>
<?php
$bc = get_body_class();
$body_class = ( is_array($bc) && !empty($bc) ) ? 'class="' . join( ' ', $bc ) . '"' : '';
?>
<body <?php echo $body_class; ?>>
<?php do_action('intheme_editor_top'); ?>
<div id="blankwrap" style="width:960px; max-width:100%; margin-left:auto; margin-right:auto;">
	<div id="primary" class="row">
		<div class="col-lg-12">
			<div id="post" role="main">
				<?php
					while ( have_posts() ) : the_post();
						get_template_part( 'content', 'page' );
					endwhile;
				?>
			</div><!-- post -->
		</div><!-- span12 -->
	</div><!-- primary -->
</div><!-- blankwrap -->

<!-- Scroll To Top -->
<div class="visible-desktop">
	<p id="back-top">
		<a href="#top" title="Back to Top"><img src="<?php echo INTHEME_IMAGES; ?>arrowwhite-top.png" alt="Top"></a>
	</p>
</div><!-- visible-desktop -->

<?php do_action('insta_footer'); ?>
<?php wp_footer(); ?>
</body>
</html>